/* Insert this code into your C program to fire the C:\NS2\CLOSEMA\CLOSEMA network */
/* This code is designed to be simple and fast for porting to any machine */
/* Therefore all code and weights are inline without looping or data storage */
/*   which might be harder to port between compilers. */
 
#include <math.h>
 
void Fire_CLOSEMA(double *inarray, double *outarray)
{
 double netsum;
 double feature2[318];
 
/* inarray[0] is s0 */
/* inarray[1] is s1 */
/* inarray[2] is s2 */
/* inarray[3] is s3 */
/* inarray[4] is s4 */
/* inarray[5] is s5 */
/* inarray[6] is s6 */
/* inarray[7] is s7 */
/* inarray[8] is s8 */
/* inarray[9] is s9 */
/* inarray[10] is s10 */
/* inarray[11] is s11 */
/* inarray[12] is s12 */
/* inarray[13] is s13 */
/* outarray[0] is Lead(1)_of_OC */
 
if (inarray[0]<-0.0314) inarray[0] = -0.0314;
if (inarray[0]>0.0291) inarray[0] = 0.0291;
inarray[0] = (inarray[0] + 0.0314) / 0.0605;
 
if (inarray[1]<-0.0509) inarray[1] = -0.0509;
if (inarray[1]>0.039) inarray[1] = 0.039;
inarray[1] = (inarray[1] + 0.0509) / 0.0899;
 
if (inarray[2]<-0.0575) inarray[2] = -0.0575;
if (inarray[2]>0.0441) inarray[2] = 0.0441;
inarray[2] = (inarray[2] + 0.0575) / 0.1016;
 
if (inarray[3]<-0.0693) inarray[3] = -0.0693;
if (inarray[3]>0.0458) inarray[3] = 0.0458;
inarray[3] = (inarray[3] + 0.0693) / 0.1151;
 
if (inarray[4]<-0.0612) inarray[4] = -0.0612;
if (inarray[4]>0.0479) inarray[4] = 0.0479;
inarray[4] = (inarray[4] + 0.0612) / 0.1091;
 
if (inarray[5]<-0.0314) inarray[5] = -0.0314;
if (inarray[5]>0.0291) inarray[5] = 0.0291;
inarray[5] = (inarray[5] + 0.0314) / 0.0605;
 
if (inarray[6]<-0.0509) inarray[6] = -0.0509;
if (inarray[6]>0.039) inarray[6] = 0.039;
inarray[6] = (inarray[6] + 0.0509) / 0.0899;
 
if (inarray[7]<-0.0575) inarray[7] = -0.0575;
if (inarray[7]>0.0441) inarray[7] = 0.0441;
inarray[7] = (inarray[7] + 0.0575) / 0.1016;
 
if (inarray[8]<-6.44306E-03) inarray[8] = -6.44306E-03;
if (inarray[8]>0.0053804) inarray[8] = 0.0053804;
inarray[8] = (inarray[8] + 6.44306E-03) / 1.182346E-02;
 
if (inarray[9]<-1.244681E-02) inarray[9] = -1.244681E-02;
if (inarray[9]>1.057528E-02) inarray[9] = 1.057528E-02;
inarray[9] = (inarray[9] + 1.244681E-02) / 2.302209E-02;
 
if (inarray[10]<-1.806518E-02) inarray[10] = -1.806518E-02;
if (inarray[10]>1.512264E-02) inarray[10] = 1.512264E-02;
inarray[10] = (inarray[10] + 1.806518E-02) / 3.318782E-02;
 
if (inarray[11]<-2.362969E-02) inarray[11] = -2.362969E-02;
if (inarray[11]>1.963488E-02) inarray[11] = 1.963488E-02;
inarray[11] = (inarray[11] + 2.362969E-02) / 4.326457E-02;
 
if (inarray[12]<-2.832359E-02) inarray[12] = -2.832359E-02;
if (inarray[12]>2.450249E-02) inarray[12] = 2.450249E-02;
inarray[12] = (inarray[12] + 2.832359E-02) / 5.282608E-02;
 
if (inarray[13]<-3.271125E-02) inarray[13] = -3.271125E-02;
if (inarray[13]>2.904984E-02) inarray[13] = 2.904984E-02;
inarray[13] = (inarray[13] + 3.271125E-02) / 6.176109E-02;
 
inarray[0] *= 2.941176;
inarray[1] *= 2.6;
inarray[2] *= 2.482353;
inarray[3] *= 2.258824;
inarray[4] *= 2.494118;
inarray[5] *= 0.4235294;
inarray[6] *= 1.258824;
inarray[7] *= 0.2352941;
inarray[8] *= 0.4235294;
inarray[9] *= 0;
inarray[10] *= 0.1764706;
inarray[11] *= 0.9176471;
inarray[12] *= 0.282353;
inarray[13] *= 4.705882E-02;
 
feature2[0] = pow(inarray[0] - 1.147302, 2);
feature2[0] += pow(inarray[1] - 0.7837597, 2);
feature2[0] += pow(inarray[2] - 1.23629, 2);
feature2[0] += pow(inarray[3] - 1.18338, 2);
feature2[0] += pow(inarray[4] - 1.019594, 2);
feature2[0] += pow(inarray[5] - 0.1078075, 2);
feature2[0] += pow(inarray[6] - 0.7253288, 2);
feature2[0] += pow(inarray[7] - 0.1303844, 2);
feature2[0] += pow(inarray[8] - 0.1360306, 2);
feature2[0] += pow(inarray[9] - 0, 2);
feature2[0] += pow(inarray[10] - 6.219516E-02, 2);
feature2[0] += pow(inarray[11] - 0.3010006, 2);
feature2[0] += pow(inarray[12] - 8.315498E-02, 2);
feature2[0] += pow(inarray[13] - 1.309976E-02, 2);
feature2[0] = exp(-feature2[0] / 0.4603483);
netsum = feature2[0];
 
feature2[1] = pow(inarray[0] - 1.852212, 2);
feature2[1] += pow(inarray[1] - 1.440267, 2);
feature2[1] += pow(inarray[2] - 0.9870774, 2);
feature2[1] += pow(inarray[3] - 1.356079, 2);
feature2[1] += pow(inarray[4] - 1.346504, 2);
feature2[1] += pow(inarray[5] - 0.1652115, 2);
feature2[1] += pow(inarray[6] - 0.3794674, 2);
feature2[1] += pow(inarray[7] - 0.1171839, 2);
feature2[1] += pow(inarray[8] - 0.1261637, 2);
feature2[1] += pow(inarray[9] - 0, 2);
feature2[1] += pow(inarray[10] - 5.718012E-02, 2);
feature2[1] += pow(inarray[11] - 0.3041573, 2);
feature2[1] += pow(inarray[12] - 8.532818E-02, 2);
feature2[1] += pow(inarray[13] - 1.297166E-02, 2);
feature2[1] = exp(-feature2[1] / 0.4603483);
netsum += feature2[1];
 
feature2[2] = pow(inarray[0] - 1.536218, 2);
feature2[2] += pow(inarray[1] - 1.671635, 2);
feature2[2] += pow(inarray[2] - 1.382886, 2);
feature2[2] += pow(inarray[3] - 1.028344, 2);
feature2[2] += pow(inarray[4] - 1.399083, 2);
feature2[2] += pow(inarray[5] - 0.2667185, 2);
feature2[2] += pow(inarray[6] - 0.6973238, 2);
feature2[2] += pow(inarray[7] - 9.356184E-02, 2);
feature2[2] += pow(inarray[8] - 0.1681496, 2);
feature2[2] += pow(inarray[9] - 0, 2);
feature2[2] += pow(inarray[10] - 5.715971E-02, 2);
feature2[2] += pow(inarray[11] - 0.3090133, 2);
feature2[2] += pow(inarray[12] - 9.238855E-02, 2);
feature2[2] += pow(inarray[13] - 1.417455E-02, 2);
feature2[2] = exp(-feature2[2] / 0.4603483);
netsum += feature2[2];
 
feature2[3] = pow(inarray[0] - 1.093826, 2);
feature2[3] += pow(inarray[1] - 1.220467, 2);
feature2[3] += pow(inarray[2] - 1.35601, 2);
feature2[3] += pow(inarray[3] - 1.16768, 2);
feature2[3] += pow(inarray[4] - 0.8092738, 2);
feature2[3] += pow(inarray[5] - 0.2212154, 2);
feature2[3] += pow(inarray[6] - 0.8093437, 2);
feature2[3] += pow(inarray[7] - 0.1310792, 2);
feature2[3] += pow(inarray[8] - 0.1672502, 2);
feature2[3] += pow(inarray[9] - 0, 2);
feature2[3] += pow(inarray[10] - 6.179403E-02, 2);
feature2[3] += pow(inarray[11] - 0.3083995, 2);
feature2[3] += pow(inarray[12] - 9.347806E-02, 2);
feature2[3] += pow(inarray[13] - 0.0151619, 2);
feature2[3] = exp(-feature2[3] / 0.4603483);
netsum += feature2[3];
 
feature2[4] = pow(inarray[0] - 1.579971, 2);
feature2[4] += pow(inarray[1] - 1.59644, 2);
feature2[4] += pow(inarray[2] - 1.292485, 2);
feature2[4] += pow(inarray[3] - 1.273655, 2);
feature2[4] += pow(inarray[4] - 1.451663, 2);
feature2[4] += pow(inarray[5] - 0.2422168, 2);
feature2[4] += pow(inarray[6] - 0.6329123, 2);
feature2[4] += pow(inarray[7] - 0.1204261, 2);
feature2[4] += pow(inarray[8] - 0.1506675, 2);
feature2[4] += pow(inarray[9] - 0, 2);
feature2[4] += pow(inarray[10] - 6.464598E-02, 2);
feature2[4] += pow(inarray[11] - 0.3387936, 2);
feature2[4] += pow(inarray[12] - 9.485204E-02, 2);
feature2[4] += pow(inarray[13] - 1.484901E-02, 2);
feature2[4] = exp(-feature2[4] / 0.4603483);
netsum += feature2[4];
 
feature2[5] = pow(inarray[0] - 1.842489, 2);
feature2[5] += pow(inarray[1] - 1.69188, 2);
feature2[5] += pow(inarray[2] - 1.668747, 2);
feature2[5] += pow(inarray[3] - 1.397292, 2);
feature2[5] += pow(inarray[4] - 1.447091, 2);
feature2[5] += pow(inarray[5] - 0.2275158, 2);
feature2[5] += pow(inarray[6] - 0.7729372, 2);
feature2[5] += pow(inarray[7] - 0.1225104, 2);
feature2[5] += pow(inarray[8] - 0.1928895, 2);
feature2[5] += pow(inarray[9] - 0, 2);
feature2[5] += pow(inarray[10] - 0.0684519, 2);
feature2[5] += pow(inarray[11] - 0.3534424, 2);
feature2[5] += pow(inarray[12] - 0.1048083, 2);
feature2[5] += pow(inarray[13] - 1.605846E-02, 2);
feature2[5] = exp(-feature2[5] / 0.4603483);
netsum += feature2[5];
 
feature2[6] = pow(inarray[0] - 1.259115, 2);
feature2[6] += pow(inarray[1] - 1.501001, 2);
feature2[6] += pow(inarray[2] - 1.456183, 2);
feature2[6] += pow(inarray[3] - 1.464016, 2);
feature2[6] += pow(inarray[4] - 1.316785, 2);
feature2[6] += pow(inarray[5] - 0.2653184, 2);
feature2[6] += pow(inarray[6] - 0.8191454, 2);
feature2[6] += pow(inarray[7] - 0.1581751, 2);
feature2[6] += pow(inarray[8] - 0.178949, 2);
feature2[6] += pow(inarray[9] - 0, 2);
feature2[6] += pow(inarray[10] - 7.084034E-02, 2);
feature2[6] += pow(inarray[11] - 0.3603692, 2);
feature2[6] += pow(inarray[12] - 0.1064197, 2);
feature2[6] += pow(inarray[13] - 1.718125E-02, 2);
feature2[6] = exp(-feature2[6] / 0.4603483);
netsum += feature2[6];
 
feature2[7] = pow(inarray[0] - 1.71123, 2);
feature2[7] += pow(inarray[1] - 1.255172, 2);
feature2[7] += pow(inarray[2] - 1.417091, 2);
feature2[7] += pow(inarray[3] - 1.475791, 2);
feature2[7] += pow(inarray[4] - 1.408228, 2);
feature2[7] += pow(inarray[5] - 0.1407098, 2);
feature2[7] += pow(inarray[6] - 0.6665183, 2);
feature2[7] += pow(inarray[7] - 0.1380269, 2);
feature2[7] += pow(inarray[8] - 0.1996934, 2);
feature2[7] += pow(inarray[9] - 0, 2);
feature2[7] += pow(inarray[10] - 8.901694E-02, 2);
feature2[7] += pow(inarray[11] - 0.4394257, 2);
feature2[7] += pow(inarray[12] - 0.1280875, 2);
feature2[7] += pow(inarray[13] - 2.079634E-02, 2);
feature2[7] = exp(-feature2[7] / 0.4603483);
netsum += feature2[7];
 
feature2[8] = pow(inarray[0] - 1.64317, 2);
feature2[8] += pow(inarray[1] - 1.703448, 2);
feature2[8] += pow(inarray[2] - 1.519708, 2);
feature2[8] += pow(inarray[3] - 1.479716, 2);
feature2[8] += pow(inarray[4] - 1.625406, 2);
feature2[8] += pow(inarray[5] - 0.259018, 2);
feature2[8] += pow(inarray[6] - 0.7449322, 2);
feature2[8] += pow(inarray[7] - 0.1417323, 2);
feature2[8] += pow(inarray[8] - 0.2333512, 2);
feature2[8] += pow(inarray[9] - 0, 2);
feature2[8] += pow(inarray[10] - 9.058157E-02, 2);
feature2[8] += pow(inarray[11] - 0.47878, 2);
feature2[8] += pow(inarray[12] - 0.1411002, 2);
feature2[8] += pow(inarray[13] - 0.0231628, 2);
feature2[8] = exp(-feature2[8] / 0.4603483);
netsum += feature2[8];
 
feature2[9] = pow(inarray[0] - 1.920272, 2);
feature2[9] += pow(inarray[1] - 1.775751, 2);
feature2[9] += pow(inarray[2] - 1.79824, 2);
feature2[9] += pow(inarray[3] - 1.611203, 2);
feature2[9] += pow(inarray[4] - 1.723707, 2);
feature2[9] += pow(inarray[5] - 0.2366164, 2);
feature2[9] += pow(inarray[6] - 0.8247464, 2);
feature2[9] += pow(inarray[7] - 0.1440482, 2);
feature2[9] += pow(inarray[8] - 0.2613945, 2);
feature2[9] += pow(inarray[9] - 0, 2);
feature2[9] += pow(inarray[10] - 0.0989192, 2);
feature2[9] += pow(inarray[11] - 0.4974587, 2);
feature2[9] += pow(inarray[12] - 0.1503067, 2);
feature2[9] += pow(inarray[13] - 2.410852E-02, 2);
feature2[9] = exp(-feature2[9] / 0.4603483);
netsum += feature2[9];
 
feature2[10] = pow(inarray[0] - 0.6806027, 2);
feature2[10] += pow(inarray[1] - 0.7721913, 2);
feature2[10] += pow(inarray[2] - 0.9040065, 2);
feature2[10] += pow(inarray[3] - 0.8085451, 2);
feature2[10] += pow(inarray[4] - 0.461789, 2);
feature2[10] += pow(inarray[5] - 0.172212, 2);
feature2[10] += pow(inarray[6] - 0.6693188, 2);
feature2[10] += pow(inarray[7] - 0.1083835, 2);
feature2[10] += pow(inarray[8] - 0.1468207, 2);
feature2[10] += pow(inarray[9] - 0, 2);
feature2[10] += pow(inarray[10] - 6.884395E-02, 2);
feature2[10] += pow(inarray[11] - 0.3690263, 2);
feature2[10] += pow(inarray[12] - 0.1173527, 2);
feature2[10] += pow(inarray[13] - 2.087101E-02, 2);
feature2[10] = exp(-feature2[10] / 0.4603483);
netsum += feature2[10];
 
feature2[11] = pow(inarray[0] - 1.195916, 2);
feature2[11] += pow(inarray[1] - 1.483649, 2);
feature2[11] += pow(inarray[2] - 1.715169, 2);
feature2[11] += pow(inarray[3] - 1.536628, 2);
feature2[11] += pow(inarray[4] - 1.207052, 2);
feature2[11] += pow(inarray[5] - 0.2702188, 2);
feature2[11] += pow(inarray[6] - 0.9857751, 2);
feature2[11] += pow(inarray[7] - 0.1697545, 2);
feature2[11] += pow(inarray[8] - 0.2000469, 2);
feature2[11] += pow(inarray[9] - 0, 2);
feature2[11] += pow(inarray[10] - 7.349667E-02, 2);
feature2[11] += pow(inarray[11] - 0.3501092, 2);
feature2[11] += pow(inarray[12] - 0.1007859, 2);
feature2[11] += pow(inarray[13] - 1.673765E-02, 2);
feature2[11] = exp(-feature2[11] / 0.4603483);
netsum += feature2[11];
 
feature2[12] = pow(inarray[0] - 1.998055, 2);
feature2[12] += pow(inarray[1] - 1.555951, 2);
feature2[12] += pow(inarray[2] - 1.651644, 2);
feature2[12] += pow(inarray[3] - 1.799601, 2);
feature2[12] += pow(inarray[4] - 1.826581, 2);
feature2[12] += pow(inarray[5] - 0.172212, 2);
feature2[12] += pow(inarray[6] - 0.7183276, 2);
feature2[12] += pow(inarray[7] - 0.1625753, 2);
feature2[12] += pow(inarray[8] - 0.2034804, 2);
feature2[12] += pow(inarray[9] - 0, 2);
feature2[12] += pow(inarray[10] - 8.216019E-02, 2);
feature2[12] += pow(inarray[11] - 0.3950174, 2);
feature2[12] += pow(inarray[12] - 0.1092402, 2);
feature2[12] += pow(inarray[13] - 1.712963E-02, 2);
feature2[12] = exp(-feature2[12] / 0.4603483);
netsum += feature2[12];
 
feature2[13] = pow(inarray[0] - 1.103549, 2);
feature2[13] += pow(inarray[1] - 1.203115, 2);
feature2[13] += pow(inarray[2] - 0.9333256, 2);
feature2[13] += pow(inarray[3] - 1.136281, 2);
feature2[13] += pow(inarray[4] - 1.36022, 2);
feature2[13] += pow(inarray[5] - 0.215615, 2);
feature2[13] += pow(inarray[6] - 0.5643002, 2);
feature2[13] += pow(inarray[7] - 0.1269106, 2);
feature2[13] += pow(inarray[8] - 0.1933795, 2);
feature2[13] += pow(inarray[9] - 0, 2);
feature2[13] += pow(inarray[10] - 8.853009E-02, 2);
feature2[13] += pow(inarray[11] - 0.4691152, 2);
feature2[13] += pow(inarray[12] - 0.1392297, 2);
feature2[13] += pow(inarray[13] - 2.253695E-02, 2);
feature2[13] = exp(-feature2[13] / 0.4603483);
netsum += feature2[13];
 
feature2[14] = pow(inarray[0] - 2.173068, 2);
feature2[14] += pow(inarray[1] - 1.908787, 2);
feature2[14] += pow(inarray[2] - 1.641871, 2);
feature2[14] += pow(inarray[3] - 1.379629, 2);
feature2[14] += pow(inarray[4] - 1.408228, 2);
feature2[14] += pow(inarray[5] - 0.2324161, 2);
feature2[14] += pow(inarray[6] - 0.6623176, 2);
feature2[14] += pow(inarray[7] - 0.1046781, 2);
feature2[14] += pow(inarray[8] - 0.2063872, 2);
feature2[14] += pow(inarray[9] - 0, 2);
feature2[14] += pow(inarray[10] - 7.469249E-02, 2);
feature2[14] += pow(inarray[11] - 0.3938065, 2);
feature2[14] += pow(inarray[12] - 0.1224597, 2);
feature2[14] += pow(inarray[13] - 2.078386E-02, 2);
feature2[14] = exp(-feature2[14] / 0.4603483);
netsum += feature2[14];
 
feature2[15] = pow(inarray[0] - 2.002917, 2);
feature2[15] += pow(inarray[1] - 2.140156, 2);
feature2[15] += pow(inarray[2] - 2.013247, 2);
feature2[15] += pow(inarray[3] - 1.742689, 2);
feature2[15] += pow(inarray[4] - 1.645981, 2);
feature2[15] += pow(inarray[5] - 0.3129217, 2);
feature2[15] += pow(inarray[6] - 0.9241641, 2);
feature2[15] += pow(inarray[7] - 0.1556276, 2);
feature2[15] += pow(inarray[8] - 0.2840524, 2);
feature2[15] += pow(inarray[9] - 0, 2);
feature2[15] += pow(inarray[10] - 0.0907605, 2);
feature2[15] += pow(inarray[11] - 0.4474953, 2);
feature2[15] += pow(inarray[12] - 0.1322743, 2);
feature2[15] += pow(inarray[13] - 2.193319E-02, 2);
feature2[15] = exp(-feature2[15] / 0.4603483);
netsum += feature2[15];
 
feature2[16] = pow(inarray[0] - 1.220224, 2);
feature2[16] += pow(inarray[1] - 1.055617, 2);
feature2[16] += pow(inarray[2] - 1.153219, 2);
feature2[16] += pow(inarray[3] - 1.19908, 2);
feature2[16] += pow(inarray[4] - 1.435661, 2);
feature2[16] += pow(inarray[5] - 0.1631113, 2);
feature2[16] += pow(inarray[6] - 0.6567166, 2);
feature2[16] += pow(inarray[7] - 0.1287633, 2);
feature2[16] += pow(inarray[8] - 0.2323787, 2);
feature2[16] += pow(inarray[9] - 0, 2);
feature2[16] += pow(inarray[10] - 0.1073308, 2);
feature2[16] += pow(inarray[11] - 0.5655178, 2);
feature2[16] += pow(inarray[12] - 0.1755455, 2);
feature2[16] += pow(inarray[13] - 2.784882E-02, 2);
feature2[16] = exp(-feature2[16] / 0.4603483);
netsum += feature2[16];
 
feature2[17] = pow(inarray[0] - 1.424404, 2);
feature2[17] += pow(inarray[1] - 1.229144, 2);
feature2[17] += pow(inarray[2] - 1.001737, 2);
feature2[17] += pow(inarray[3] - 1.116656, 2);
feature2[17] += pow(inarray[4] - 1.163617, 2);
feature2[17] += pow(inarray[5] - 0.1757122, 2);
feature2[17] += pow(inarray[6] - 0.5110908, 2);
feature2[17] += pow(inarray[7] - 0.1093099, 2);
feature2[17] += pow(inarray[8] - 0.2062504, 2);
feature2[17] += pow(inarray[9] - 0, 2);
feature2[17] += pow(inarray[10] - 9.663237E-02, 2);
feature2[17] += pow(inarray[11] - 0.5316176, 2);
feature2[17] += pow(inarray[12] - 0.1639365, 2);
feature2[17] += pow(inarray[13] - 0.0278459, 2);
feature2[17] = exp(-feature2[17] / 0.4603483);
netsum += feature2[17];
 
feature2[18] = pow(inarray[0] - 1.263977, 2);
feature2[18] += pow(inarray[1] - 1.255172, 2);
feature2[18] += pow(inarray[2] - 1.067705, 2);
feature2[18] += pow(inarray[3] - 0.9302193, 2);
feature2[18] += pow(inarray[4] - 0.9921606, 2);
feature2[18] += pow(inarray[5] - 0.2051142, 2);
feature2[18] += pow(inarray[6] - 0.5951056, 2);
feature2[18] += pow(inarray[7] - 9.495136E-02, 2);
feature2[18] += pow(inarray[8] - 0.2149739, 2);
feature2[18] += pow(inarray[9] - 0, 2);
feature2[18] += pow(inarray[10] - 9.030055E-02, 2);
feature2[18] += pow(inarray[11] - 0.4941084, 2);
feature2[18] += pow(inarray[12] - 0.1566953, 2);
feature2[18] += pow(inarray[13] - 2.637653E-02, 2);
feature2[18] = exp(-feature2[18] / 0.4603483);
netsum += feature2[18];
 
feature2[19] = pow(inarray[0] - 1.054934, 2);
feature2[19] += pow(inarray[1] - 1.067186, 2);
feature2[19] += pow(inarray[2] - 0.9308823, 2);
feature2[19] += pow(inarray[3] - 0.9380693, 2);
feature2[19] += pow(inarray[4] - 0.7635521, 2);
feature2[19] += pow(inarray[5] - 0.1897132, 2);
feature2[19] += pow(inarray[6] - 0.5769024, 2);
feature2[19] += pow(inarray[7] - 0.105836, 2);
feature2[19] += pow(inarray[8] - 0.1725413, 2);
feature2[19] += pow(inarray[9] - 0, 2);
feature2[19] += pow(inarray[10] - 7.914612E-02, 2);
feature2[19] += pow(inarray[11] - 0.4191927, 2);
feature2[19] += pow(inarray[12] - 0.1309612, 2);
feature2[19] += pow(inarray[13] - 2.258307E-02, 2);
feature2[19] = exp(-feature2[19] / 0.4603483);
netsum += feature2[19];
 
feature2[20] = pow(inarray[0] - 1.910549, 2);
feature2[20] += pow(inarray[1] - 1.420022, 2);
feature2[20] += pow(inarray[2] - 1.255836, 2);
feature2[20] += pow(inarray[3] - 1.134318, 2);
feature2[20] += pow(inarray[4] - 1.088176, 2);
feature2[20] += pow(inarray[5] - 0.1519105, 2);
feature2[20] += pow(inarray[6] - 0.5166917, 2);
feature2[20] += pow(inarray[7] - 0.0882353, 2);
feature2[20] += pow(inarray[8] - 0.1643967, 2);
feature2[20] += pow(inarray[9] - 0, 2);
feature2[20] += pow(inarray[10] - 7.163837E-02, 2);
feature2[20] += pow(inarray[11] - 0.3944106, 2);
feature2[20] += pow(inarray[12] - 0.1208174, 2);
feature2[20] += pow(inarray[13] - 2.059993E-02, 2);
feature2[20] = exp(-feature2[20] / 0.4603483);
netsum += feature2[20];
 
feature2[21] = pow(inarray[0] - 1.565386, 2);
feature2[21] += pow(inarray[1] - 1.723693, 2);
feature2[21] += pow(inarray[2] - 1.380442, 2);
feature2[21] += pow(inarray[3] - 1.255992, 2);
feature2[21] += pow(inarray[4] - 1.154472, 2);
feature2[21] += pow(inarray[5] - 0.2751191, 2);
feature2[21] += pow(inarray[6] - 0.6875221, 2);
feature2[21] += pow(inarray[7] - 0.1190366, 2);
feature2[21] += pow(inarray[8] - 0.186619, 2);
feature2[21] += pow(inarray[9] - 0, 2);
feature2[21] += pow(inarray[10] - 0.0709963, 2);
feature2[21] += pow(inarray[11] - 0.3776213, 2);
feature2[21] += pow(inarray[12] - 0.1178881, 2);
feature2[21] += pow(inarray[13] - 1.962657E-02, 2);
feature2[21] = exp(-feature2[21] / 0.4603483);
netsum += feature2[21];
 
feature2[22] = pow(inarray[0] - 0.5153135, 2);
feature2[22] += pow(inarray[1] - 0.8936596, 2);
feature2[22] += pow(inarray[2] - 1.10924, 2);
feature2[22] += pow(inarray[3] - 0.9321818, 2);
feature2[22] += pow(inarray[4] - 0.8024155, 2);
feature2[22] += pow(inarray[5] - 0.2254156, 2);
feature2[22] += pow(inarray[6] - 0.8345482, 2);
feature2[22] += pow(inarray[7] - 0.1308476, 2);
feature2[22] += pow(inarray[8] - 0.1715143, 2);
feature2[22] += pow(inarray[9] - 0, 2);
feature2[22] += pow(inarray[10] - 7.084391E-02, 2);
feature2[22] += pow(inarray[11] - 0.3661165, 2);
feature2[22] += pow(inarray[12] - 0.1114034, 2);
feature2[22] += pow(inarray[13] - 1.888769E-02, 2);
feature2[22] = exp(-feature2[22] / 0.4603483);
netsum += feature2[22];
 
feature2[23] = pow(inarray[0] - 1.759844, 2);
feature2[23] += pow(inarray[1] - 1.009344, 2);
feature2[23] += pow(inarray[2] - 1.033499, 2);
feature2[23] += pow(inarray[3] - 1.216743, 2);
feature2[23] += pow(inarray[4] - 1.010449, 2);
feature2[23] += pow(inarray[5] - 7.420515E-02, 2);
feature2[23] += pow(inarray[6] - 0.4326769, 2);
feature2[23] += pow(inarray[7] - 0.1051413, 2);
feature2[23] += pow(inarray[8] - 0.1414425, 2);
feature2[23] += pow(inarray[9] - 0, 2);
feature2[23] += pow(inarray[10] - 6.743651E-02, 2);
feature2[23] += pow(inarray[11] - 0.3477025, 2);
feature2[23] += pow(inarray[12] - 0.1040172, 2);
feature2[23] += pow(inarray[13] - 1.732361E-02, 2);
feature2[23] = exp(-feature2[23] / 0.4603483);
netsum += feature2[23];
 
feature2[24] = pow(inarray[0] - 1.579971, 2);
feature2[24] += pow(inarray[1] - 1.642714, 2);
feature2[24] += pow(inarray[2] - 1.040829, 2);
feature2[24] += pow(inarray[3] - 1.083293, 2);
feature2[24] += pow(inarray[4] - 1.257346, 2);
feature2[24] += pow(inarray[5] - 0.2534176, 2);
feature2[24] += pow(inarray[6] - 0.4886867, 2);
feature2[24] += pow(inarray[7] - 9.796202E-02, 2);
feature2[24] += pow(inarray[8] - 0.1652438, 2);
feature2[24] += pow(inarray[9] - 0, 2);
feature2[24] += pow(inarray[10] - 6.426355E-02, 2);
feature2[24] += pow(inarray[11] - 0.3482041, 2);
feature2[24] += pow(inarray[12] - 0.1029283, 2);
feature2[24] += pow(inarray[13] - 1.677694E-02, 2);
feature2[24] = exp(-feature2[24] / 0.4603483);
netsum += feature2[24];
 
feature2[25] = pow(inarray[0] - 1.920272, 2);
feature2[25] += pow(inarray[1] - 1.738153, 2);
feature2[25] += pow(inarray[2] - 1.746932, 2);
feature2[25] += pow(inarray[3] - 1.226555, 2);
feature2[25] += pow(inarray[4] - 1.261918, 2);
feature2[25] += pow(inarray[5] - 0.2275158, 2);
feature2[25] += pow(inarray[6] - 0.7953412, 2);
feature2[25] += pow(inarray[7] - 9.865679E-02, 2);
feature2[25] += pow(inarray[8] - 0.190247, 2);
feature2[25] += pow(inarray[9] - 0, 2);
feature2[25] += pow(inarray[10] - 6.704425E-02, 2);
feature2[25] += pow(inarray[11] - 0.3503523, 2);
feature2[25] += pow(inarray[12] - 0.1067855, 2);
feature2[25] += pow(inarray[13] - 1.715356E-02, 2);
feature2[25] = exp(-feature2[25] / 0.4603483);
netsum += feature2[25];
 
feature2[26] = pow(inarray[0] - 0.9528438, 2);
feature2[26] += pow(inarray[1] - 1.365072, 2);
feature2[26] += pow(inarray[2] - 1.34135, 2);
feature2[26] += pow(inarray[3] - 1.403179, 2);
feature2[26] += pow(inarray[4] - 0.9738718, 2);
feature2[26] += pow(inarray[5] - 0.2765192, 2);
feature2[26] += pow(inarray[6] - 0.8415494, 2);
feature2[26] += pow(inarray[7] - 0.1655859, 2);
feature2[26] += pow(inarray[8] - 0.1799735, 2);
feature2[26] += pow(inarray[9] - 0, 2);
feature2[26] += pow(inarray[10] - 7.276389E-02, 2);
feature2[26] += pow(inarray[11] - 0.355361, 2);
feature2[26] += pow(inarray[12] - 0.1057939, 2);
feature2[26] += pow(inarray[13] - 1.748489E-02, 2);
feature2[26] = exp(-feature2[26] / 0.4603483);
netsum += feature2[26];
 
feature2[27] = pow(inarray[0] - 0.5153135, 2);
feature2[27] += pow(inarray[1] - 0.5292547, 2);
feature2[27] += pow(inarray[2] - 0.806276, 2);
feature2[27] += pow(inarray[3] - 0.900782, 2);
feature2[27] += pow(inarray[4] - 0.9738718, 2);
feature2[27] += pow(inarray[5] - 0.1372095, 2);
feature2[27] += pow(inarray[6] - 0.6609173, 2);
feature2[27] += pow(inarray[7] - 0.1271422, 2);
feature2[27] += pow(inarray[8] - 0.1331152, 2);
feature2[27] += pow(inarray[9] - 0, 2);
feature2[27] += pow(inarray[10] - 6.799467E-02, 2);
feature2[27] += pow(inarray[11] - 0.3504305, 2);
feature2[27] += pow(inarray[12] - 0.1000643, 2);
feature2[27] += pow(inarray[13] - 1.634682E-02, 2);
feature2[27] = exp(-feature2[27] / 0.4603483);
netsum += feature2[27];
 
feature2[28] = pow(inarray[0] - 0.6806027, 2);
feature2[28] += pow(inarray[1] - 0.3672971, 2);
feature2[28] += pow(inarray[2] - 0.1832446, 2);
feature2[28] += pow(inarray[3] - 0.5377217, 2);
feature2[28] += pow(inarray[4] - 0.4663611, 2);
feature2[28] += pow(inarray[5] - 7.420515E-02, 2);
feature2[28] += pow(inarray[6] - 0.2562455, 2);
feature2[28] += pow(inarray[7] - 7.642427E-02, 2);
feature2[28] += pow(inarray[8] - 0.0721369, 2);
feature2[28] += pow(inarray[9] - 0, 2);
feature2[28] += pow(inarray[10] - 5.046231E-02, 2);
feature2[28] += pow(inarray[11] - 0.2953008, 2);
feature2[28] += pow(inarray[12] - 8.972307E-02, 2);
feature2[28] += pow(inarray[13] - 1.423297E-02, 2);
feature2[28] = exp(-feature2[28] / 0.4603483);
netsum += feature2[28];
 
feature2[29] = pow(inarray[0] - 1.789013, 2);
feature2[29] += pow(inarray[1] - 1.946385, 2);
feature2[29] += pow(inarray[2] - 1.33402, 2);
feature2[29] += pow(inarray[3] - 0.9616191, 2);
feature2[29] += pow(inarray[4] - 0.4595029, 2);
feature2[29] += pow(inarray[5] - 0.2968206, 2);
feature2[29] += pow(inarray[6] - 0.5965059, 2);
feature2[29] += pow(inarray[7] - 0.0736452, 2);
feature2[29] += pow(inarray[8] - 0.1386506, 2);
feature2[29] += pow(inarray[9] - 0, 2);
feature2[29] += pow(inarray[10] - 2.102335E-02, 2);
feature2[29] += pow(inarray[11] - 0.1079383, 2);
feature2[29] += pow(inarray[12] - 3.771373E-02, 2);
feature2[29] += pow(inarray[13] - 7.638374E-03, 2);
feature2[29] = exp(-feature2[29] / 0.4603483);
netsum += feature2[29];
 
feature2[30] = pow(inarray[0] - 0.9333981, 2);
feature2[30] += pow(inarray[1] - 1.275417, 2);
feature2[30] += pow(inarray[2] - 1.507492, 2);
feature2[30] += pow(inarray[3] - 1.063668, 2);
feature2[30] += pow(inarray[4] - 0.6561062, 2);
feature2[30] += pow(inarray[5] - 0.2576179, 2);
feature2[30] += pow(inarray[6] - 0.9423673, 2);
feature2[30] += pow(inarray[7] - 0.1264474, 2);
feature2[30] += pow(inarray[8] - 7.765587E-02, 2);
feature2[30] += pow(inarray[9] - 0, 2);
feature2[30] += pow(inarray[10] - 3.065377E-02, 2);
feature2[30] += pow(inarray[11] - 0.1112062, 2);
feature2[30] += pow(inarray[12] - 2.943846E-02, 2);
feature2[30] += pow(inarray[13] - 5.46198E-03, 2);
feature2[30] = exp(-feature2[30] / 0.4603483);
netsum += feature2[30];
 
feature2[31] = pow(inarray[0] - 1.298007, 2);
feature2[31] += pow(inarray[1] - 0.9833148, 2);
feature2[31] += pow(inarray[2] - 1.1239, 2);
feature2[31] += pow(inarray[3] - 1.350192, 2);
feature2[31] += pow(inarray[4] - 0.9464388, 2);
feature2[31] += pow(inarray[5] - 0.1344093, 2);
feature2[31] += pow(inarray[6] - 0.6175097, 2);
feature2[31] += pow(inarray[7] - 0.1428902, 2);
feature2[31] += pow(inarray[8] - 0.0736267, 2);
feature2[31] += pow(inarray[9] - 0, 2);
feature2[31] += pow(inarray[10] - 3.631689E-02, 2);
feature2[31] += pow(inarray[11] - 0.147235, 2);
feature2[31] += pow(inarray[12] - 2.966075E-02, 2);
feature2[31] += pow(inarray[13] - 4.196596E-03, 2);
feature2[31] = exp(-feature2[31] / 0.4603483);
netsum += feature2[31];
 
feature2[32] = pow(inarray[0] - 1.14244, 2);
feature2[32] += pow(inarray[1] - 1.107675, 2);
feature2[32] += pow(inarray[2] - 0.7989463, 2);
feature2[32] += pow(inarray[3] - 0.9792815, 2);
feature2[32] += pow(inarray[4] - 1.207052, 2);
feature2[32] += pow(inarray[5] - 0.186913, 2);
feature2[32] += pow(inarray[6] - 0.4760845, 2);
feature2[32] += pow(inarray[7] - 0.1065308, 2);
feature2[32] += pow(inarray[8] - 6.265686E-02, 2);
feature2[32] += pow(inarray[9] - 0, 2);
feature2[32] += pow(inarray[10] - 2.503633E-02, 2);
feature2[32] += pow(inarray[11] - 0.163329, 2);
feature2[32] += pow(inarray[12] - 3.710323E-02, 2);
feature2[32] += pow(inarray[13] - 3.994946E-03, 2);
feature2[32] = exp(-feature2[32] / 0.4603483);
netsum += feature2[32];
 
feature2[33] = pow(inarray[0] - 1.891104, 2);
feature2[33] += pow(inarray[1] - 2.299221, 2);
feature2[33] += pow(inarray[2] - 1.629655, 2);
feature2[33] += pow(inarray[3] - 1.587653, 2);
feature2[33] += pow(inarray[4] - 1.282493, 2);
feature2[33] += pow(inarray[5] - 0.3675255, 2);
feature2[33] += pow(inarray[6] - 0.7365308, 2);
feature2[33] += pow(inarray[7] - 0.1426586, 2);
feature2[33] += pow(inarray[8] - 0.1082342, 2);
feature2[33] += pow(inarray[9] - 0, 2);
feature2[33] += pow(inarray[10] - 1.606637E-02, 2);
feature2[33] += pow(inarray[11] - 4.545266E-02, 2);
feature2[33] += pow(inarray[12] - 6.800705E-03, 2);
feature2[33] += pow(inarray[13] - 7.361349E-04, 2);
feature2[33] = exp(-feature2[33] / 0.4603483);
netsum += feature2[33];
 
feature2[34] = pow(inarray[0] - 1.939718, 2);
feature2[34] += pow(inarray[1] - 1.934816, 2);
feature2[34] += pow(inarray[2] - 2.311325, 2);
feature2[34] += pow(inarray[3] - 1.707364, 2);
feature2[34] += pow(inarray[4] - 1.858586, 2);
feature2[34] += pow(inarray[5] - 0.2723189, 2);
feature2[34] += pow(inarray[6] - 1.113198, 2);
feature2[34] += pow(inarray[7] - 0.1544697, 2);
feature2[34] += pow(inarray[8] - 0.1625805, 2);
feature2[34] += pow(inarray[9] - 0, 2);
feature2[34] += pow(inarray[10] - 3.786407E-02, 2);
feature2[34] += pow(inarray[11] - 0.1417184, 2);
feature2[34] += pow(inarray[12] - 2.636388E-02, 2);
feature2[34] += pow(inarray[13] - 2.861606E-03, 2);
feature2[34] = exp(-feature2[34] / 0.4603483);
netsum += feature2[34];
 
feature2[35] = pow(inarray[0] - 2.435586, 2);
feature2[35] += pow(inarray[1] - 1.521246, 2);
feature2[35] += pow(inarray[2] - 1.382886, 2);
feature2[35] += pow(inarray[3] - 0.9478817, 2);
feature2[35] += pow(inarray[4] - 1.113323, 2);
feature2[35] += pow(inarray[5] - 0.100807, 2);
feature2[35] += pow(inarray[6] - 0.4382778, 2);
feature2[35] += pow(inarray[7] - 4.122278E-02, 2);
feature2[35] += pow(inarray[8] - 0.1050773, 2);
feature2[35] += pow(inarray[9] - 0, 2);
feature2[35] += pow(inarray[10] - 3.388049E-02, 2);
feature2[35] += pow(inarray[11] - 0.1935906, 2);
feature2[35] += pow(inarray[12] - 6.369469E-02, 2);
feature2[35] += pow(inarray[13] - 9.816124E-03, 2);
feature2[35] = exp(-feature2[35] / 0.4603483);
netsum += feature2[35];
 
feature2[36] = pow(inarray[0] - 1.706368, 2);
feature2[36] += pow(inarray[1] - 1.313014, 2);
feature2[36] += pow(inarray[2] - 1.727385, 2);
feature2[36] += pow(inarray[3] - 1.28543, 2);
feature2[36] += pow(inarray[4] - 1.252774, 2);
feature2[36] += pow(inarray[5] - 0.1554108, 2);
feature2[36] += pow(inarray[6] - 0.8457502, 2);
feature2[36] += pow(inarray[7] - 0.1157944, 2);
feature2[36] += pow(inarray[8] - 0.1353941, 2);
feature2[36] += pow(inarray[9] - 0, 2);
feature2[36] += pow(inarray[10] - 5.098506E-02, 2);
feature2[36] += pow(inarray[11] - 0.2395096, 2);
feature2[36] += pow(inarray[12] - 6.233863E-02, 2);
feature2[36] += pow(inarray[13] - 1.008958E-02, 2);
feature2[36] = exp(-feature2[36] / 0.4603483);
netsum += feature2[36];
 
feature2[37] = pow(inarray[0] - 1.157025, 2);
feature2[37] += pow(inarray[1] - 1.359288, 2);
feature2[37] += pow(inarray[2] - 1.084808, 2);
feature2[37] += pow(inarray[3] - 1.469903, 2);
feature2[37] += pow(inarray[4] - 1.13847, 2);
feature2[37] += pow(inarray[5] - 0.2457171, 2);
feature2[37] += pow(inarray[6] - 0.6357129, 2);
feature2[37] += pow(inarray[7] - 0.1637332, 2);
feature2[37] += pow(inarray[8] - 0.1203969, 2);
feature2[37] += pow(inarray[9] - 0, 2);
feature2[37] += pow(inarray[10] - 5.325912E-02, 2);
feature2[37] += pow(inarray[11] - 0.256027, 2);
feature2[37] += pow(inarray[12] - 6.897198E-02, 2);
feature2[37] += pow(inarray[13] - 9.881523E-03, 2);
feature2[37] = exp(-feature2[37] / 0.4603483);
netsum += feature2[37];
 
feature2[38] = pow(inarray[0] - 1.623724, 2);
feature2[38] += pow(inarray[1] - 1.310122, 2);
feature2[38] += pow(inarray[2] - 1.358453, 2);
feature2[38] += pow(inarray[3] - 1.142168, 2);
feature2[38] += pow(inarray[4] - 1.572826, 2);
feature2[38] += pow(inarray[5] - 0.1666116, 2);
feature2[38] += pow(inarray[6] - 0.6581169, 2);
feature2[38] += pow(inarray[7] - 0.1028254, 2);
feature2[38] += pow(inarray[8] - 0.128034, 2);
feature2[38] += pow(inarray[9] - 0, 2);
feature2[38] += pow(inarray[10] - 5.025431E-02, 2);
feature2[38] += pow(inarray[11] - 0.26962, 2);
feature2[38] += pow(inarray[12] - 7.427391E-02, 2);
feature2[38] += pow(inarray[13] - 1.098959E-02, 2);
feature2[38] = exp(-feature2[38] / 0.4603483);
netsum += feature2[38];
 
feature2[39] = pow(inarray[0] - 1.380651, 2);
feature2[39] += pow(inarray[1] - 1.804672, 2);
feature2[39] += pow(inarray[2] - 1.700509, 2);
feature2[39] += pow(inarray[3] - 1.69559, 2);
feature2[39] += pow(inarray[4] - 1.691702, 2);
feature2[39] += pow(inarray[5] - 0.3213223, 2);
feature2[39] += pow(inarray[6] - 0.9241641, 2);
feature2[39] += pow(inarray[7] - 0.1797128, 2);
feature2[39] += pow(inarray[8] - 0.1690115, 2);
feature2[39] += pow(inarray[9] - 0, 2);
feature2[39] += pow(inarray[10] - 5.606795E-02, 2);
feature2[39] += pow(inarray[11] - 0.2534271, 2);
feature2[39] += pow(inarray[12] - 6.299664E-02, 2);
feature2[39] += pow(inarray[13] - 9.503504E-03, 2);
feature2[39] = exp(-feature2[39] / 0.4603483);
netsum += feature2[39];
 
feature2[40] = pow(inarray[0] - 2.143899, 2);
feature2[40] += pow(inarray[1] - 1.752614, 2);
feature2[40] += pow(inarray[2] - 1.996144, 2);
feature2[40] += pow(inarray[3] - 1.846701, 2);
feature2[40] += pow(inarray[4] - 2.080337, 2);
feature2[40] += pow(inarray[5] - 0.1988138, 2);
feature2[40] += pow(inarray[6] - 0.8737552, 2);
feature2[40] += pow(inarray[7] - 0.1611857, 2);
feature2[40] += pow(inarray[8] - 0.2138767, 2);
feature2[40] += pow(inarray[9] - 0, 2);
feature2[40] += pow(inarray[10] - 7.125999E-02, 2);
feature2[40] += pow(inarray[11] - 0.3316528, 2);
feature2[40] += pow(inarray[12] - 8.642753E-02, 2);
feature2[40] += pow(inarray[13] - 1.196374E-02, 2);
feature2[40] = exp(-feature2[40] / 0.4603483);
netsum += feature2[40];
 
feature2[41] = pow(inarray[0] - 2.070977, 2);
feature2[41] += pow(inarray[1] - 2.163292, 2);
feature2[41] += pow(inarray[2] - 1.915516, 2);
feature2[41] += pow(inarray[3] - 2.054725, 2);
feature2[41] += pow(inarray[4] - 2.222074, 2);
feature2[41] += pow(inarray[5] - 0.3087214, 2);
feature2[41] += pow(inarray[6] - 0.8485507, 2);
feature2[41] += pow(inarray[7] - 0.189208, 2);
feature2[41] += pow(inarray[8] - 0.234375, 2);
feature2[41] += pow(inarray[9] - 0, 2);
feature2[41] += pow(inarray[10] - 8.490622E-02, 2);
feature2[41] += pow(inarray[11] - 0.4043889, 2);
feature2[41] += pow(inarray[12] - 0.109199, 2);
feature2[41] += pow(inarray[13] - 1.573994E-02, 2);
feature2[41] = exp(-feature2[41] / 0.4603483);
netsum += feature2[41];
 
feature2[42] = pow(inarray[0] - 1.910549, 2);
feature2[42] += pow(inarray[1] - 1.63693, 2);
feature2[42] += pow(inarray[2] - 1.817786, 2);
feature2[42] += pow(inarray[3] - 1.940901, 2);
feature2[42] += pow(inarray[4] - 2.007182, 2);
feature2[42] += pow(inarray[5] - 0.2044142, 2);
feature2[42] += pow(inarray[6] - 0.8387489, 2);
feature2[42] += pow(inarray[7] - 0.1834182, 2);
feature2[42] += pow(inarray[8] - 0.2558866, 2);
feature2[42] += pow(inarray[9] - 0, 2);
feature2[42] += pow(inarray[10] - 0.1032111, 2);
feature2[42] += pow(inarray[11] - 0.5197005, 2);
feature2[42] += pow(inarray[12] - 0.146834, 2);
feature2[42] += pow(inarray[13] - 2.239573E-02, 2);
feature2[42] = exp(-feature2[42] / 0.4603483);
netsum += feature2[42];
 
feature2[43] = pow(inarray[0] - 1.448712, 2);
feature2[43] += pow(inarray[1] - 1.654283, 2);
feature2[43] += pow(inarray[2] - 1.505049, 2);
feature2[43] += pow(inarray[3] - 1.660265, 2);
feature2[43] += pow(inarray[4] - 2.039187, 2);
feature2[43] += pow(inarray[5] - 0.2751191, 2);
feature2[43] += pow(inarray[6] - 0.7925407, 2);
feature2[43] += pow(inarray[7] - 0.172302, 2);
feature2[43] += pow(inarray[8] - 0.2739749, 2);
feature2[43] += pow(inarray[9] - 0, 2);
feature2[43] += pow(inarray[10] - 0.1090893, 2);
feature2[43] += pow(inarray[11] - 0.5552854, 2);
feature2[43] += pow(inarray[12] - 0.1624959, 2);
feature2[43] += pow(inarray[13] - 2.519351E-02, 2);
feature2[43] = exp(-feature2[43] / 0.4603483);
netsum += feature2[43];
 
feature2[44] = pow(inarray[0] - 1.730676, 2);
feature2[44] += pow(inarray[1] - 1.466296, 2);
feature2[44] += pow(inarray[2] - 1.255836, 2);
feature2[44] += pow(inarray[3] - 1.208893, 2);
feature2[44] += pow(inarray[4] - 1.403656, 2);
feature2[44] += pow(inarray[5] - 0.1890131, 2);
feature2[44] += pow(inarray[6] - 0.5685009, 2);
feature2[44] += pow(inarray[7] - 0.1056044, 2);
feature2[44] += pow(inarray[8] - 0.2267157, 2);
feature2[44] += pow(inarray[9] - 0, 2);
feature2[44] += pow(inarray[10] - 0.1022995, 2);
feature2[44] += pow(inarray[11] - 0.5516492, 2);
feature2[44] += pow(inarray[12] - 0.1678479, 2);
feature2[44] += pow(inarray[13] - 2.768589E-02, 2);
feature2[44] = exp(-feature2[44] / 0.4603483);
netsum += feature2[44];
 
feature2[45] = pow(inarray[0] - 1.00632, 2);
feature2[45] += pow(inarray[1] - 1.313014, 2);
feature2[45] += pow(inarray[2] - 1.319361, 2);
feature2[45] += pow(inarray[3] - 1.373742, 2);
feature2[45] += pow(inarray[4] - 1.314498, 2);
feature2[45] += pow(inarray[5] - 0.2562178, 2);
feature2[45] += pow(inarray[6] - 0.8135444, 2);
feature2[45] += pow(inarray[7] - 0.1595646, 2);
feature2[45] += pow(inarray[8] - 0.2443838, 2);
feature2[45] += pow(inarray[9] - 0, 2);
feature2[45] += pow(inarray[10] - 0.1019658, 2);
feature2[45] += pow(inarray[11] - 0.5223351, 2);
feature2[45] += pow(inarray[12] - 0.1576142, 2);
feature2[45] += pow(inarray[13] - 0.0266651, 2);
feature2[45] = exp(-feature2[45] / 0.4603483);
netsum += feature2[45];
 
feature2[46] = pow(inarray[0] - 1.759844, 2);
feature2[46] += pow(inarray[1] - 1.353504, 2);
feature2[46] += pow(inarray[2] - 1.043272, 2);
feature2[46] += pow(inarray[3] - 1.171605, 2);
feature2[46] += pow(inarray[4] - 1.225341, 2);
feature2[46] += pow(inarray[5] - 0.1575109, 2);
feature2[46] += pow(inarray[6] - 0.4382778, 2);
feature2[46] += pow(inarray[7] - 9.981473E-02, 2);
feature2[46] += pow(inarray[8] - 0.2106381, 2);
feature2[46] += pow(inarray[9] - 0, 2);
feature2[46] += pow(inarray[10] - 9.104886E-02, 2);
feature2[46] += pow(inarray[11] - 0.4886124, 2);
feature2[46] += pow(inarray[12] - 0.1502632, 2);
feature2[46] += pow(inarray[13] - 2.467712E-02, 2);
feature2[46] = exp(-feature2[46] / 0.4603483);
netsum += feature2[46];
 
feature2[47] = pow(inarray[0] - 2.941176, 2);
feature2[47] += pow(inarray[1] - 2.452502, 2);
feature2[47] += pow(inarray[2] - 2.01569, 2);
feature2[47] += pow(inarray[3] - 1.64064, 2);
feature2[47] += pow(inarray[4] - 1.84487, 2);
feature2[47] += pow(inarray[5] - 0.2534176, 2);
feature2[47] += pow(inarray[6] - 0.6553164, 2);
feature2[47] += pow(inarray[7] - 9.888837E-02, 2);
feature2[47] += pow(inarray[8] - 0.2604753, 2);
feature2[47] += pow(inarray[9] - 0, 2);
feature2[47] += pow(inarray[10] - 9.343746E-02, 2);
feature2[47] += pow(inarray[11] - 0.4987784, 2);
feature2[47] += pow(inarray[12] - 0.1526473, 2);
feature2[47] += pow(inarray[13] - 2.539521E-02, 2);
feature2[47] = exp(-feature2[47] / 0.4603483);
netsum += feature2[47];
 
feature2[48] = pow(inarray[0] - 1.638308, 2);
feature2[48] += pow(inarray[1] - 2.3802, 2);
feature2[48] += pow(inarray[2] - 2.289335, 2);
feature2[48] += pow(inarray[3] - 1.895763, 2);
feature2[48] += pow(inarray[4] - 1.778573, 2);
feature2[48] += pow(inarray[5] - 0.4235294, 2);
feature2[48] += pow(inarray[6] - 1.187411, 2);
feature2[48] += pow(inarray[7] - 0.1910607, 2);
feature2[48] += pow(inarray[8] - 0.3219855, 2);
feature2[48] += pow(inarray[9] - 0, 2);
feature2[48] += pow(inarray[10] - 0.1110075, 2);
feature2[48] += pow(inarray[11] - 0.5447272, 2);
feature2[48] += pow(inarray[12] - 0.1643872, 2);
feature2[48] += pow(inarray[13] - 2.704346E-02, 2);
feature2[48] = exp(-feature2[48] / 0.4603483);
netsum += feature2[48];
 
feature2[49] = pow(inarray[0] - 1.628585, 2);
feature2[49] += pow(inarray[1] - 1.903003, 2);
feature2[49] += pow(inarray[2] - 1.661417, 2);
feature2[49] += pow(inarray[3] - 1.452241, 2);
feature2[49] += pow(inarray[4] - 1.636836, 2);
feature2[49] += pow(inarray[5] - 0.3094215, 2);
feature2[49] += pow(inarray[6] - 0.8303474, 2);
feature2[49] += pow(inarray[7] - 0.1391848, 2);
feature2[49] += pow(inarray[8] - 0.3229459, 2);
feature2[49] += pow(inarray[9] - 0, 2);
feature2[49] += pow(inarray[10] - 0.1275153, 2);
feature2[49] += pow(inarray[11] - 0.6797333, 2);
feature2[49] += pow(inarray[12] - 0.2112702, 2);
feature2[49] += pow(inarray[13] - 3.533226E-02, 2);
feature2[49] = exp(-feature2[49] / 0.4603483);
netsum += feature2[49];
 
feature2[50] = pow(inarray[0] - 1.229946, 2);
feature2[50] += pow(inarray[1] - 1.339043, 2);
feature2[50] += pow(inarray[2] - 1.24362, 2);
feature2[50] += pow(inarray[3] - 1.626903, 2);
feature2[50] += pow(inarray[4] - 1.757999, 2);
feature2[50] += pow(inarray[5] - 0.230316, 2);
feature2[50] += pow(inarray[6] - 0.7057253, 2);
feature2[50] += pow(inarray[7] - 0.1787865, 2);
feature2[50] += pow(inarray[8] - 0.3471065, 2);
feature2[50] += pow(inarray[9] - 0, 2);
feature2[50] += pow(inarray[10] - 0.1543602, 2);
feature2[50] += pow(inarray[11] - 0.8040624, 2);
feature2[50] += pow(inarray[12] - 0.2414621, 2);
feature2[50] += pow(inarray[13] - 3.909182E-02, 2);
feature2[50] = exp(-feature2[50] / 0.4603483);
netsum += feature2[50];
 
feature2[51] = pow(inarray[0] - 0.9139523, 2);
feature2[51] += pow(inarray[1] - 0.9312569, 2);
feature2[51] += pow(inarray[2] - 0.9846341, 2);
feature2[51] += pow(inarray[3] - 0.9832065, 2);
feature2[51] += pow(inarray[4] - 1.421944, 2);
feature2[51] += pow(inarray[5] - 0.1771123, 2);
feature2[51] += pow(inarray[6] - 0.6483151, 2);
feature2[51] += pow(inarray[7] - 0.1178786, 2);
feature2[51] += pow(inarray[8] - 0.2955352, 2);
feature2[51] += pow(inarray[9] - 0, 2);
feature2[51] += pow(inarray[10] - 0.1419099, 2);
feature2[51] += pow(inarray[11] - 0.7720783, 2);
feature2[51] += pow(inarray[12] - 0.2373721, 2);
feature2[51] += pow(inarray[13] - 3.914182E-02, 2);
feature2[51] = exp(-feature2[51] / 0.4603483);
netsum += feature2[51];
 
feature2[52] = pow(inarray[0] - 2.202236, 2);
feature2[52] += pow(inarray[1] - 1.509677, 2);
feature2[52] += pow(inarray[2] - 1.287598, 2);
feature2[52] += pow(inarray[3] - 1.295242, 2);
feature2[52] += pow(inarray[4] - 1.277921, 2);
feature2[52] += pow(inarray[5] - 0.1316091, 2);
feature2[52] += pow(inarray[6] - 0.4508801, 2);
feature2[52] += pow(inarray[7] - 9.333024E-02, 2);
feature2[52] += pow(inarray[8] - 0.2931807, 2);
feature2[52] += pow(inarray[9] - 0, 2);
feature2[52] += pow(inarray[10] - 0.1321936, 2);
feature2[52] += pow(inarray[11] - 0.721022, 2);
feature2[52] += pow(inarray[12] - 0.2289608, 2);
feature2[52] += pow(inarray[13] - 3.850868E-02, 2);
feature2[52] = exp(-feature2[52] / 0.4603483);
netsum += feature2[52];
 
feature2[53] = pow(inarray[0] - 1.541079, 2);
feature2[53] += pow(inarray[1] - 1.709232, 2);
feature2[53] += pow(inarray[2] - 1.656531, 2);
feature2[53] += pow(inarray[3] - 1.834926, 2);
feature2[53] += pow(inarray[4] - 1.664269, 2);
feature2[53] += pow(inarray[5] - 0.2751191, 2);
feature2[53] += pow(inarray[6] - 0.8527514, 2);
feature2[53] += pow(inarray[7] - 0.1885132, 2);
feature2[53] += pow(inarray[8] - 0.3304723, 2);
feature2[53] += pow(inarray[9] - 0, 2);
feature2[53] += pow(inarray[10] - 0.1345059, 2);
feature2[53] += pow(inarray[11] - 0.6914881, 2);
feature2[53] += pow(inarray[12] - 0.2090034, 2);
feature2[53] += pow(inarray[13] - 3.561163E-02, 2);
feature2[53] = exp(-feature2[53] / 0.4603483);
netsum += feature2[53];
 
feature2[54] = pow(inarray[0] - 1.511911, 2);
feature2[54] += pow(inarray[1] - 1.47208, 2);
feature2[54] += pow(inarray[2] - 1.597893, 2);
feature2[54] += pow(inarray[3] - 1.556253, 2);
feature2[54] += pow(inarray[4] - 1.945458, 2);
feature2[54] += pow(inarray[5] - 0.2219154, 2);
feature2[54] += pow(inarray[6] - 0.8275469, 2);
feature2[54] += pow(inarray[7] - 0.1570171, 2);
feature2[54] += pow(inarray[8] - 0.3219375, 2);
feature2[54] += pow(inarray[9] - 0, 2);
feature2[54] += pow(inarray[10] - 0.1373078, 2);
feature2[54] += pow(inarray[11] - 0.7085154, 2);
feature2[54] += pow(inarray[12] - 0.212943, 2);
feature2[54] += pow(inarray[13] - 3.507627E-02, 2);
feature2[54] = exp(-feature2[54] / 0.4603483);
netsum += feature2[54];
 
feature2[55] = pow(inarray[0] - 1.934857, 2);
feature2[55] += pow(inarray[1] - 1.70634, 2);
feature2[55] += pow(inarray[2] - 1.610109, 2);
feature2[55] += pow(inarray[3] - 1.67989, 2);
feature2[55] += pow(inarray[4] - 1.819723, 2);
feature2[55] += pow(inarray[5] - 0.2177151, 2);
feature2[55] += pow(inarray[6] - 0.7127265, 2);
feature2[55] += pow(inarray[7] - 0.151459, 2);
feature2[55] += pow(inarray[8] - 0.3264356, 2);
feature2[55] += pow(inarray[9] - 0, 2);
feature2[55] += pow(inarray[10] - 0.1385799, 2);
feature2[55] += pow(inarray[11] - 0.7223552, 2);
feature2[55] += pow(inarray[12] - 0.217905, 2);
feature2[55] += pow(inarray[13] - 3.573355E-02, 2);
feature2[55] = exp(-feature2[55] / 0.4603483);
netsum += feature2[55];
 
feature2[56] = pow(inarray[0] - 0, 2);
feature2[56] += pow(inarray[1] - 0.4280311, 2);
feature2[56] += pow(inarray[2] - 0.3567161, 2);
feature2[56] += pow(inarray[3] - 0.7202331, 2);
feature2[56] += pow(inarray[4] - 0.7178305, 2);
feature2[56] += pow(inarray[5] - 0.186913, 2);
feature2[56] += pow(inarray[6] - 0.551698, 2);
feature2[56] += pow(inarray[7] - 0.1303844, 2);
feature2[56] += pow(inarray[8] - 0.2323518, 2);
feature2[56] += pow(inarray[9] - 0, 2);
feature2[56] += pow(inarray[10] - 0.1194883, 2);
feature2[56] += pow(inarray[11] - 0.6582699, 2);
feature2[56] += pow(inarray[12] - 0.2046893, 2);
feature2[56] += pow(inarray[13] - 3.476725E-02, 2);
feature2[56] = exp(-feature2[56] / 0.4603483);
netsum += feature2[56];
 
feature2[57] = pow(inarray[0] - 1.37579, 2);
feature2[57] += pow(inarray[1] - 1.553059, 2);
feature2[57] += pow(inarray[2] - 1.651644, 2);
feature2[57] += pow(inarray[3] - 1.407104, 2);
feature2[57] += pow(inarray[4] - 1.378509, 2);
feature2[57] += pow(inarray[5] - 0.2611181, 2);
feature2[57] += pow(inarray[6] - 0.8975594, 2);
feature2[57] += pow(inarray[7] - 0.1459009, 2);
feature2[57] += pow(inarray[8] - 0.200605, 2);
feature2[57] += pow(inarray[9] - 0, 2);
feature2[57] += pow(inarray[10] - 7.607148E-02, 2);
feature2[57] += pow(inarray[11] - 0.3844758, 2);
feature2[57] += pow(inarray[12] - 0.1133127, 2);
feature2[57] += pow(inarray[13] - 1.952952E-02, 2);
feature2[57] = exp(-feature2[57] / 0.4603483);
netsum += feature2[57];
 
feature2[58] = pow(inarray[0] - 1.400097, 2);
feature2[58] += pow(inarray[1] - 1.246496, 2);
feature2[58] += pow(inarray[2] - 0.9382122, 2);
feature2[58] += pow(inarray[3] - 0.9223694, 2);
feature2[58] += pow(inarray[4] - 0.8184181, 2);
feature2[58] += pow(inarray[5] - 0.1834127, 2);
feature2[58] += pow(inarray[6] - 0.4816855, 2);
feature2[58] += pow(inarray[7] - 8.754053E-02, 2);
feature2[58] += pow(inarray[8] - 0.144046, 2);
feature2[58] += pow(inarray[9] - 0, 2);
feature2[58] += pow(inarray[10] - 6.082579E-02, 2);
feature2[58] += pow(inarray[11] - 0.3370309, 2);
feature2[58] += pow(inarray[12] - 0.1055154, 2);
feature2[58] += pow(inarray[13] - 1.755703E-02, 2);
feature2[58] = exp(-feature2[58] / 0.4603483);
netsum += feature2[58];
 
feature2[59] = pow(inarray[0] - 1.614001, 2);
feature2[59] += pow(inarray[1] - 1.688988, 2);
feature2[59] += pow(inarray[2] - 1.656531, 2);
feature2[59] += pow(inarray[3] - 1.511116, 2);
feature2[59] += pow(inarray[4] - 1.456236, 2);
feature2[59] += pow(inarray[5] - 0.259718, 2);
feature2[59] += pow(inarray[6] - 0.8317477, 2);
feature2[59] += pow(inarray[7] - 0.1468272, 2);
feature2[59] += pow(inarray[8] - 0.1918227, 2);
feature2[59] += pow(inarray[9] - 0, 2);
feature2[59] += pow(inarray[10] - 7.184436E-02, 2);
feature2[59] += pow(inarray[11] - 0.3532349, 2);
feature2[59] += pow(inarray[12] - 0.1017998, 2);
feature2[59] += pow(inarray[13] - 1.640584E-02, 2);
feature2[59] = exp(-feature2[59] / 0.4603483);
netsum += feature2[59];
 
feature2[60] = pow(inarray[0] - 1.604278, 2);
feature2[60] += pow(inarray[1] - 1.888543, 2);
feature2[60] += pow(inarray[2] - 1.79824, 2);
feature2[60] += pow(inarray[3] - 1.536628, 2);
feature2[60] += pow(inarray[4] - 1.645981, 2);
feature2[60] += pow(inarray[5] - 0.3094215, 2);
feature2[60] += pow(inarray[6] - 0.9157626, 2);
feature2[60] += pow(inarray[7] - 0.1503011, 2);
feature2[60] += pow(inarray[8] - 0.2363964, 2);
feature2[60] += pow(inarray[9] - 0, 2);
feature2[60] += pow(inarray[10] - 8.776455E-02, 2);
feature2[60] += pow(inarray[11] - 0.4439417, 2);
feature2[60] += pow(inarray[12] - 0.1311465, 2);
feature2[60] += pow(inarray[13] - 2.094828E-02, 2);
feature2[60] = exp(-feature2[60] / 0.4603483);
netsum += feature2[60];
 
feature2[61] = pow(inarray[0] - 1.438989, 2);
feature2[61] += pow(inarray[1] - 1.622469, 2);
feature2[61] += pow(inarray[2] - 1.571017, 2);
feature2[61] += pow(inarray[3] - 1.744652, 2);
feature2[61] += pow(inarray[4] - 1.886019, 2);
feature2[61] += pow(inarray[5] - 0.2688187, 2);
feature2[61] += pow(inarray[6] - 0.8331479, 2);
feature2[61] += pow(inarray[7] - 0.1827235, 2);
feature2[61] += pow(inarray[8] - 0.2621625, 2);
feature2[61] += pow(inarray[9] - 0, 2);
feature2[61] += pow(inarray[10] - 0.1044735, 2);
feature2[61] += pow(inarray[11] - 0.5258303, 2);
feature2[61] += pow(inarray[12] - 0.1506745, 2);
feature2[61] += pow(inarray[13] - 2.395453E-02, 2);
feature2[61] = exp(-feature2[61] / 0.4603483);
netsum += feature2[61];
 
feature2[62] = pow(inarray[0] - 2.357803, 2);
feature2[62] += pow(inarray[1] - 2.012903, 2);
feature2[62] += pow(inarray[2] - 1.79824, 2);
feature2[62] += pow(inarray[3] - 1.750539, 2);
feature2[62] += pow(inarray[4] - 1.4128, 2);
feature2[62] += pow(inarray[5] - 0.231016, 2);
feature2[62] += pow(inarray[6] - 0.698724, 2);
feature2[62] += pow(inarray[7] - 0.139648, 2);
feature2[62] += pow(inarray[8] - 0.2369674, 2);
feature2[62] += pow(inarray[9] - 0, 2);
feature2[62] += pow(inarray[10] - 8.745743E-02, 2);
feature2[62] += pow(inarray[11] - 0.4459826, 2);
feature2[62] += pow(inarray[12] - 0.1355149, 2);
feature2[62] += pow(inarray[13] - 2.332865E-02, 2);
feature2[62] = exp(-feature2[62] / 0.4603483);
netsum += feature2[62];
 
feature2[63] = pow(inarray[0] - 2.508507, 2);
feature2[63] += pow(inarray[1] - 2.125695, 2);
feature2[63] += pow(inarray[2] - 1.856878, 2);
feature2[63] += pow(inarray[3] - 1.856514, 2);
feature2[63] += pow(inarray[4] - 2.007182, 2);
feature2[63] += pow(inarray[5] - 0.2366164, 2);
feature2[63] += pow(inarray[6] - 0.6889223, 2);
feature2[63] += pow(inarray[7] - 0.1449745, 2);
feature2[63] += pow(inarray[8] - 0.3315107, 2);
feature2[63] += pow(inarray[9] - 0, 2);
feature2[63] += pow(inarray[10] - 0.135363, 2);
feature2[63] += pow(inarray[11] - 0.7063887, 2);
feature2[63] += pow(inarray[12] - 0.2137165, 2);
feature2[63] += pow(inarray[13] - 3.494103E-02, 2);
feature2[63] = exp(-feature2[63] / 0.4603483);
netsum += feature2[63];
 
feature2[64] = pow(inarray[0] - 2.21682, 2);
feature2[64] += pow(inarray[1] - 2.466963, 2);
feature2[64] += pow(inarray[2] - 2.303995, 2);
feature2[64] += pow(inarray[3] - 2.001738, 2);
feature2[64] += pow(inarray[4] - 2.302087, 2);
feature2[64] += pow(inarray[5] - 0.3612251, 2);
feature2[64] += pow(inarray[6] - 1.029183, 2);
feature2[64] += pow(inarray[7] - 0.1760074, 2);
feature2[64] += pow(inarray[8] - 0.3839471, 2);
feature2[64] += pow(inarray[9] - 0, 2);
feature2[64] += pow(inarray[10] - 0.1448587, 2);
feature2[64] += pow(inarray[11] - 0.7486507, 2);
feature2[64] += pow(inarray[12] - 0.2259505, 2);
feature2[64] += pow(inarray[13] - 3.706715E-02, 2);
feature2[64] = exp(-feature2[64] / 0.4603483);
netsum += feature2[64];
 
feature2[65] = pow(inarray[0] - 2.163345, 2);
feature2[65] += pow(inarray[1] - 1.743938, 2);
feature2[65] += pow(inarray[2] - 2.066999, 2);
feature2[65] += pow(inarray[3] - 1.713252, 2);
feature2[65] += pow(inarray[4] - 2.135203, 2);
feature2[65] += pow(inarray[5] - 0.1939135, 2);
feature2[65] += pow(inarray[6] - 0.9087613, 2);
feature2[65] += pow(inarray[7] - 0.1445114, 2);
feature2[65] += pow(inarray[8] - 0.3771164, 2);
feature2[65] += pow(inarray[9] - 0, 2);
feature2[65] += pow(inarray[10] - 0.1613998, 2);
feature2[65] += pow(inarray[11] - 0.8472579, 2);
feature2[65] += pow(inarray[12] - 0.2614495, 2);
feature2[65] += pow(inarray[13] - 4.275636E-02, 2);
feature2[65] = exp(-feature2[65] / 0.4603483);
netsum += feature2[65];
 
feature2[66] = pow(inarray[0] - 2.260574, 2);
feature2[66] += pow(inarray[1] - 1.642714, 2);
feature2[66] += pow(inarray[2] - 1.900857, 2);
feature2[66] += pow(inarray[3] - 1.772127, 2);
feature2[66] += pow(inarray[4] - 1.975177, 2);
feature2[66] += pow(inarray[5] - 0.1554108, 2);
feature2[66] += pow(inarray[6] - 0.7855395, 2);
feature2[66] += pow(inarray[7] - 0.1468272, 2);
feature2[66] += pow(inarray[8] - 0.3880078, 2);
feature2[66] += pow(inarray[9] - 0, 2);
feature2[66] += pow(inarray[10] - 0.1701141, 2);
feature2[66] += pow(inarray[11] - 0.892565, 2);
feature2[66] += pow(inarray[12] - 0.2759982, 2);
feature2[66] += pow(inarray[13] - 4.580042E-02, 2);
feature2[66] = exp(-feature2[66] / 0.4603483);
netsum += feature2[66];
 
feature2[67] = pow(inarray[0] - 1.973748, 2);
feature2[67] += pow(inarray[1] - 2.174861, 2);
feature2[67] += pow(inarray[2] - 1.773807, 2);
feature2[67] += pow(inarray[3] - 1.938938, 2);
feature2[67] += pow(inarray[4] - 2.089481, 2);
feature2[67] += pow(inarray[5] - 0.3255226, 2);
feature2[67] += pow(inarray[6] - 0.7953412, 2);
feature2[67] += pow(inarray[7] - 0.180176, 2);
feature2[67] += pow(inarray[8] - 0.4168839, 2);
feature2[67] += pow(inarray[9] - 0, 2);
feature2[67] += pow(inarray[10] - 0.1718543, 2);
feature2[67] += pow(inarray[11] - 0.9067707, 2);
feature2[67] += pow(inarray[12] - 0.2777815, 2);
feature2[67] += pow(inarray[13] - 4.664631E-02, 2);
feature2[67] = exp(-feature2[67] / 0.4603483);
netsum += feature2[67];
 
feature2[68] = pow(inarray[0] - 1.71123, 2);
feature2[68] += pow(inarray[1] - 1.715017, 2);
feature2[68] += pow(inarray[2] - 1.485503, 2);
feature2[68] += pow(inarray[3] - 1.430654, 2);
feature2[68] += pow(inarray[4] - 1.472238, 2);
feature2[68] += pow(inarray[5] - 0.2520175, 2);
feature2[68] += pow(inarray[6] - 0.7057253, 2);
feature2[68] += pow(inarray[7] - 0.1327003, 2);
feature2[68] += pow(inarray[8] - 0.3663364, 2);
feature2[68] += pow(inarray[9] - 0, 2);
feature2[68] += pow(inarray[10] - 0.1554651, 2);
feature2[68] += pow(inarray[11] - 0.8346037, 2);
feature2[68] += pow(inarray[12] - 0.2641668, 2);
feature2[68] += pow(inarray[13] - 4.495969E-02, 2);
feature2[68] = exp(-feature2[68] / 0.4603483);
netsum += feature2[68];
 
feature2[69] = pow(inarray[0] - 1.001458, 2);
feature2[69] += pow(inarray[1] - 1.509677, 2);
feature2[69] += pow(inarray[2] - 1.529481, 2);
feature2[69] += pow(inarray[3] - 1.550366, 2);
feature2[69] += pow(inarray[4] - 1.504243, 2);
feature2[69] += pow(inarray[5] - 0.3045211, 2);
feature2[69] += pow(inarray[6] - 0.9353661, 2);
feature2[69] += pow(inarray[7] - 0.1806392, 2);
feature2[69] += pow(inarray[8] - 0.3698859, 2);
feature2[69] += pow(inarray[9] - 0, 2);
feature2[69] += pow(inarray[10] - 0.1592923, 2);
feature2[69] += pow(inarray[11] - 0.8185533, 2);
feature2[69] += pow(inarray[12] - 0.2544417, 2);
feature2[69] += pow(inarray[13] - 4.307994E-02, 2);
feature2[69] = exp(-feature2[69] / 0.4603483);
netsum += feature2[69];
 
feature2[70] = pow(inarray[0] - 2.668935, 2);
feature2[70] += pow(inarray[1] - 1.547275, 2);
feature2[70] += pow(inarray[2] - 1.373113, 2);
feature2[70] += pow(inarray[3] - 1.122543, 2);
feature2[70] += pow(inarray[4] - 1.399083, 2);
feature2[70] += pow(inarray[5] - 0.0735051, 2);
feature2[70] += pow(inarray[6] - 0.3654649, 2);
feature2[70] += pow(inarray[7] - 5.071793E-02, 2);
feature2[70] += pow(inarray[8] - 0.2706467, 2);
feature2[70] += pow(inarray[9] - 0, 2);
feature2[70] += pow(inarray[10] - 0.120963, 2);
feature2[70] += pow(inarray[11] - 0.6828851, 2);
feature2[70] += pow(inarray[12] - 0.2197603, 2);
feature2[70] += pow(inarray[13] - 3.755413E-02, 2);
feature2[70] = exp(-feature2[70] / 0.4603483);
netsum += feature2[70];
 
feature2[71] = pow(inarray[0] - 1.322314, 2);
feature2[71] += pow(inarray[1] - 2.030256, 2);
feature2[71] += pow(inarray[2] - 1.365783, 2);
feature2[71] += pow(inarray[3] - 1.252067, 2);
feature2[71] += pow(inarray[4] - 1.026452, 2);
feature2[71] += pow(inarray[5] - 0.3843267, 2);
feature2[71] += pow(inarray[6] - 0.749133, 2);
feature2[71] += pow(inarray[7] - 0.1301528, 2);
feature2[71] += pow(inarray[8] - 0.3083936, 2);
feature2[71] += pow(inarray[9] - 0, 2);
feature2[71] += pow(inarray[10] - 0.1208919, 2);
feature2[71] += pow(inarray[11] - 0.6464747, 2);
feature2[71] += pow(inarray[12] - 0.2087541, 2);
feature2[71] += pow(inarray[13] - 3.632163E-02, 2);
feature2[71] = exp(-feature2[71] / 0.4603483);
netsum += feature2[71];
 
feature2[72] = pow(inarray[0] - 1.570248, 2);
feature2[72] += pow(inarray[1] - 1.376641, 2);
feature2[72] += pow(inarray[2] - 1.898414, 2);
feature2[72] += pow(inarray[3] - 1.346267, 2);
feature2[72] += pow(inarray[4] - 1.293924, 2);
feature2[72] += pow(inarray[5] - 0.1904132, 2);
feature2[72] += pow(inarray[6] - 0.9829745, 2);
feature2[72] += pow(inarray[7] - 0.1294581, 2);
feature2[72] += pow(inarray[8] - 0.2841563, 2);
feature2[72] += pow(inarray[9] - 0, 2);
feature2[72] += pow(inarray[10] - 0.1214128, 2);
feature2[72] += pow(inarray[11] - 0.6318401, 2);
feature2[72] += pow(inarray[12] - 0.1959622, 2);
feature2[72] += pow(inarray[13] - 3.423708E-02, 2);
feature2[72] = exp(-feature2[72] / 0.4603483);
netsum += feature2[72];
 
feature2[73] = pow(inarray[0] - 1.998055, 2);
feature2[73] += pow(inarray[1] - 2.151724, 2);
feature2[73] += pow(inarray[2] - 1.927733, 2);
feature2[73] += pow(inarray[3] - 1.752502, 2);
feature2[73] += pow(inarray[4] - 2.228932, 2);
feature2[73] += pow(inarray[5] - 0.316422, 2);
feature2[73] += pow(inarray[6] - 0.8765556, 2);
feature2[73] += pow(inarray[7] - 0.1570171, 2);
feature2[73] += pow(inarray[8] - 0.3106181, 2);
feature2[73] += pow(inarray[9] - 0, 2);
feature2[73] += pow(inarray[10] - 0.1211827, 2);
feature2[73] += pow(inarray[11] - 0.6146733, 2);
feature2[73] += pow(inarray[12] - 0.1821869, 2);
feature2[73] += pow(inarray[13] - 2.925698E-02, 2);
feature2[73] = exp(-feature2[73] / 0.4603483);
netsum += feature2[73];
 
feature2[74] = pow(inarray[0] - 1.570248, 2);
feature2[74] += pow(inarray[1] - 1.070078, 2);
feature2[74] += pow(inarray[2] - 0.7940598, 2);
feature2[74] += pow(inarray[3] - 0.506322, 2);
feature2[74] += pow(inarray[4] - 0.6012402, 2);
feature2[74] += pow(inarray[5] - 0.1162081, 2);
feature2[74] += pow(inarray[6] - 0.3500621, 2);
feature2[74] += pow(inarray[7] - 3.033812E-02, 2);
feature2[74] += pow(inarray[8] - 0.1673627, 2);
feature2[74] += pow(inarray[9] - 0, 2);
feature2[74] += pow(inarray[10] - 8.616186E-02, 2);
feature2[74] += pow(inarray[11] - 0.5112046, 2);
feature2[74] += pow(inarray[12] - 0.1711256, 2);
feature2[74] += pow(inarray[13] - 2.943583E-02, 2);
feature2[74] = exp(-feature2[74] / 0.4603483);
netsum += feature2[74];
 
feature2[75] = pow(inarray[0] - 1.64317, 2);
feature2[75] += pow(inarray[1] - 1.208899, 2);
feature2[75] += pow(inarray[2] - 1.204528, 2);
feature2[75] += pow(inarray[3] - 0.908632, 2);
feature2[75] += pow(inarray[4] - 0.6195288, 2);
feature2[75] += pow(inarray[5] - 0.1393097, 2);
feature2[75] += pow(inarray[6] - 0.5643002, 2);
feature2[75] += pow(inarray[7] - 7.433997E-02, 2);
feature2[75] += pow(inarray[8] - 0.1541257, 2);
feature2[75] += pow(inarray[9] - 0, 2);
feature2[75] += pow(inarray[10] - 6.577591E-02, 2);
feature2[75] += pow(inarray[11] - 0.3656454, 2);
feature2[75] += pow(inarray[12] - 0.1204655, 2);
feature2[75] += pow(inarray[13] - 2.229408E-02, 2);
feature2[75] = exp(-feature2[75] / 0.4603483);
netsum += feature2[75];
 
feature2[76] = pow(inarray[0] - 1.064657, 2);
feature2[76] += pow(inarray[1] - 0.8907675, 2);
feature2[76] += pow(inarray[2] - 0.9724178, 2);
feature2[76] += pow(inarray[3] - 0.7869577, 2);
feature2[76] += pow(inarray[4] - 0.7521216, 2);
feature2[76] += pow(inarray[5] - 0.1456101, 2);
feature2[76] += pow(inarray[6] - 0.5979062, 2);
feature2[76] += pow(inarray[7] - 8.754053E-02, 2);
feature2[76] += pow(inarray[8] - 0.1249379, 2);
feature2[76] += pow(inarray[9] - 0, 2);
feature2[76] += pow(inarray[10] - 5.773642E-02, 2);
feature2[76] += pow(inarray[11] - 0.3104925, 2);
feature2[76] += pow(inarray[12] - 9.386754E-02, 2);
feature2[76] += pow(inarray[13] - 1.619458E-02, 2);
feature2[76] = exp(-feature2[76] / 0.4603483);
netsum += feature2[76];
 
feature2[77] = pow(inarray[0] - 1.716091, 2);
feature2[77] += pow(inarray[1] - 1.310122, 2);
feature2[77] += pow(inarray[2] - 1.009067, 2);
feature2[77] += pow(inarray[3] - 1.089181, 2);
feature2[77] += pow(inarray[4] - 0.8207042, 2);
feature2[77] += pow(inarray[5] - 0.1533106, 2);
feature2[77] += pow(inarray[6] - 0.4312766, 2);
feature2[77] += pow(inarray[7] - 0.0921723, 2);
feature2[77] += pow(inarray[8] - 0.1217327, 2);
feature2[77] += pow(inarray[9] - 0, 2);
feature2[77] += pow(inarray[10] - 5.292802E-02, 2);
feature2[77] += pow(inarray[11] - 0.2837482, 2);
feature2[77] += pow(inarray[12] - 8.705899E-02, 2);
feature2[77] += pow(inarray[13] - 1.440454E-02, 2);
feature2[77] = exp(-feature2[77] / 0.4603483);
netsum += feature2[77];
 
feature2[78] = pow(inarray[0] - 1.74526, 2);
feature2[78] += pow(inarray[1] - 1.92614, 2);
feature2[78] += pow(inarray[2] - 1.883754, 2);
feature2[78] += pow(inarray[3] - 1.558215, 2);
feature2[78] += pow(inarray[4] - 1.387653, 2);
feature2[78] += pow(inarray[5] - 0.2982207, 2);
feature2[78] += pow(inarray[6] - 0.9241641, 2);
feature2[78] += pow(inarray[7] - 0.1461325, 2);
feature2[78] += pow(inarray[8] - 0.1957029, 2);
feature2[78] += pow(inarray[9] - 0, 2);
feature2[78] += pow(inarray[10] - 6.452856E-02, 2);
feature2[78] += pow(inarray[11] - 0.3127389, 2);
feature2[78] += pow(inarray[12] - 9.261373E-02, 2);
feature2[78] += pow(inarray[13] - 1.491483E-02, 2);
feature2[78] = exp(-feature2[78] / 0.4603483);
netsum += feature2[78];
 
feature2[79] = pow(inarray[0] - 1.234808, 2);
feature2[79] += pow(inarray[1] - 1.428699, 2);
feature2[79] += pow(inarray[2] - 1.641871, 2);
feature2[79] += pow(inarray[3] - 1.626903, 2);
feature2[79] += pow(inarray[4] - 1.492813, 2);
feature2[79] += pow(inarray[5] - 0.2513175, 2);
feature2[79] += pow(inarray[6] - 0.9325656, 2);
feature2[79] += pow(inarray[7] - 0.1785549, 2);
feature2[79] += pow(inarray[8] - 0.2033321, 2);
feature2[79] += pow(inarray[9] - 0, 2);
feature2[79] += pow(inarray[10] - 7.664123E-02, 2);
feature2[79] += pow(inarray[11] - 0.359157, 2);
feature2[79] += pow(inarray[12] - 9.980071E-02, 2);
feature2[79] += pow(inarray[13] - 0.0159615, 2);
feature2[79] = exp(-feature2[79] / 0.4603483);
netsum += feature2[79];
 
feature2[80] = pow(inarray[0] - 0.2625181, 2);
feature2[80] += pow(inarray[1] - 0.5466073, 2);
feature2[80] += pow(inarray[2] - 0.7329783, 2);
feature2[80] += pow(inarray[3] - 1.040119, 2);
feature2[80] += pow(inarray[4] - 1.115609, 2);
feature2[80] += pow(inarray[5] - 0.1778124, 2);
feature2[80] += pow(inarray[6] - 0.6917228, 2);
feature2[80] += pow(inarray[7] - 0.1556276, 2);
feature2[80] += pow(inarray[8] - 0.1401676, 2);
feature2[80] += pow(inarray[9] - 0, 2);
feature2[80] += pow(inarray[10] - 7.331881E-02, 2);
feature2[80] += pow(inarray[11] - 0.3700726, 2);
feature2[80] += pow(inarray[12] - 0.1020732, 2);
feature2[80] += pow(inarray[13] - 1.564247E-02, 2);
feature2[80] = exp(-feature2[80] / 0.4603483);
netsum += feature2[80];
 
feature2[81] = pow(inarray[0] - 0.986874, 2);
feature2[81] += pow(inarray[1] - 1.223359, 2);
feature2[81] += pow(inarray[2] - 1.11657, 2);
feature2[81] += pow(inarray[3] - 0.6181837, 2);
feature2[81] += pow(inarray[4] - 0.3977786, 2);
feature2[81] += pow(inarray[5] - 0.2373165, 2);
feature2[81] += pow(inarray[6] - 0.7029248, 2);
feature2[81] += pow(inarray[7] - 7.132932E-02, 2);
feature2[81] += pow(inarray[8] - 9.794171E-02, 2);
feature2[81] += pow(inarray[9] - 0, 2);
feature2[81] += pow(inarray[10] - 3.788273E-02, 2);
feature2[81] += pow(inarray[11] - 0.2154701, 2);
feature2[81] += pow(inarray[12] - 7.528897E-02, 2);
feature2[81] += pow(inarray[13] - 1.332949E-02, 2);
feature2[81] = exp(-feature2[81] / 0.4603483);
netsum += feature2[81];
 
feature2[82] = pow(inarray[0] - 0.943121, 2);
feature2[82] += pow(inarray[1] - 0.8040044, 2);
feature2[82] += pow(inarray[2] - 0.9015632, 2);
feature2[82] += pow(inarray[3] - 0.8929321, 2);
feature2[82] += pow(inarray[4] - 0.2606136, 2);
feature2[82] += pow(inarray[5] - 0.1421099, 2);
feature2[82] += pow(inarray[6] - 0.5923051, 2);
feature2[82] += pow(inarray[7] - 0.105836, 2);
feature2[82] += pow(inarray[8] - 0.0755854, 2);
feature2[82] += pow(inarray[9] - 0, 2);
feature2[82] += pow(inarray[10] - 3.463427E-02, 2);
feature2[82] += pow(inarray[11] - 0.1772301, 2);
feature2[82] += pow(inarray[12] - 5.622758E-02, 2);
feature2[82] += pow(inarray[13] - 1.077447E-02, 2);
feature2[82] = exp(-feature2[82] / 0.4603483);
netsum += feature2[82];
 
feature2[83] = pow(inarray[0] - 1.876519, 2);
feature2[83] += pow(inarray[1] - 2.125695, 2);
feature2[83] += pow(inarray[2] - 1.600336, 2);
feature2[83] += pow(inarray[3] - 1.281505, 2);
feature2[83] += pow(inarray[4] - 1.053885, 2);
feature2[83] += pow(inarray[5] - 0.3276228, 2);
feature2[83] += pow(inarray[6] - 0.7239286, 2);
feature2[83] += pow(inarray[7] - 0.1072256, 2);
feature2[83] += pow(inarray[8] - 0.1152189, 2);
feature2[83] += pow(inarray[9] - 0, 2);
feature2[83] += pow(inarray[10] - 2.795443E-02, 2);
feature2[83] += pow(inarray[11] - 0.1376274, 2);
feature2[83] += pow(inarray[12] - 3.994707E-02, 2);
feature2[83] += pow(inarray[13] - 6.363488E-03, 2);
feature2[83] = exp(-feature2[83] / 0.4603483);
netsum += feature2[83];
 
feature2[84] = pow(inarray[0] - 0.9577053, 2);
feature2[84] += pow(inarray[1] - 1.755506, 2);
feature2[84] += pow(inarray[2] - 1.820229, 2);
feature2[84] += pow(inarray[3] - 1.99585, 2);
feature2[84] += pow(inarray[4] - 1.806006, 2);
feature2[84] += pow(inarray[5] - 0.3703257, 2);
feature2[84] += pow(inarray[6] - 1.114598, 2);
feature2[84] += pow(inarray[7] - 0.2352941, 2);
feature2[84] += pow(inarray[8] - 0.1960511, 2);
feature2[84] += pow(inarray[9] - 0, 2);
feature2[84] += pow(inarray[10] - 6.689063E-02, 2);
feature2[84] += pow(inarray[11] - 0.2904205, 2);
feature2[84] += pow(inarray[12] - 7.085672E-02, 2);
feature2[84] += pow(inarray[13] - 1.014264E-02, 2);
feature2[84] = exp(-feature2[84] / 0.4603483);
netsum += feature2[84];
 
feature2[85] = pow(inarray[0] - 1.531356, 2);
feature2[85] += pow(inarray[1] - 1.344828, 2);
feature2[85] += pow(inarray[2] - 1.01151, 2);
feature2[85] += pow(inarray[3] - 1.465979, 2);
feature2[85] += pow(inarray[4] - 1.68713, 2);
feature2[85] += pow(inarray[5] - 0.1883131, 2);
feature2[85] += pow(inarray[6] - 0.4858863, 2);
feature2[85] += pow(inarray[7] - 0.1454377, 2);
feature2[85] += pow(inarray[8] - 0.1654169, 2);
feature2[85] += pow(inarray[9] - 0, 2);
feature2[85] += pow(inarray[10] - 7.626104E-02, 2);
feature2[85] += pow(inarray[11] - 0.3948817, 2);
feature2[85] += pow(inarray[12] - 0.1073531, 2);
feature2[85] += pow(inarray[13] - 0.0152549, 2);
feature2[85] = exp(-feature2[85] / 0.4603483);
netsum += feature2[85];
 
feature2[86] = pow(inarray[0] - 1.239669, 2);
feature2[86] += pow(inarray[1] - 1.14238, 2);
feature2[86] += pow(inarray[2] - 1.199641, 2);
feature2[86] += pow(inarray[3] - 0.8713447, 2);
feature2[86] += pow(inarray[4] - 0.8024155, 2);
feature2[86] += pow(inarray[5] - 0.1813126, 2);
feature2[86] += pow(inarray[6] - 0.6777203, 2);
feature2[86] += pow(inarray[7] - 8.916165E-02, 2);
feature2[86] += pow(inarray[8] - 0.1606426, 2);
feature2[86] += pow(inarray[9] - 0, 2);
feature2[86] += pow(inarray[10] - 7.320066E-02, 2);
feature2[86] += pow(inarray[11] - 0.3949875, 2);
feature2[86] += pow(inarray[12] - 0.128466, 2);
feature2[86] += pow(inarray[13] - 2.122783E-02, 2);
feature2[86] = exp(-feature2[86] / 0.4603483);
netsum += feature2[86];
 
feature2[87] = pow(inarray[0] - 1.526495, 2);
feature2[87] += pow(inarray[1] - 1.385317, 2);
feature2[87] += pow(inarray[2] - 1.187425, 2);
feature2[87] += pow(inarray[3] - 1.077406, 2);
feature2[87] += pow(inarray[4] - 1.13847, 2);
feature2[87] += pow(inarray[5] - 0.1988138, 2);
feature2[87] += pow(inarray[6] - 0.5881044, 2);
feature2[87] += pow(inarray[7] - 9.981473E-02, 2);
feature2[87] += pow(inarray[8] - 0.1706406, 2);
feature2[87] += pow(inarray[9] - 0, 2);
feature2[87] += pow(inarray[10] - 6.723599E-02, 2);
feature2[87] += pow(inarray[11] - 0.3651629, 2);
feature2[87] += pow(inarray[12] - 0.1099074, 2);
feature2[87] += pow(inarray[13] - 1.847128E-02, 2);
feature2[87] = exp(-feature2[87] / 0.4603483);
netsum += feature2[87];
 
feature2[88] = pow(inarray[0] - 1.725814, 2);
feature2[88] += pow(inarray[1] - 1.616685, 2);
feature2[88] += pow(inarray[2] - 1.561244, 2);
feature2[88] += pow(inarray[3] - 1.485603, 2);
feature2[88] += pow(inarray[4] - 1.47681, 2);
feature2[88] += pow(inarray[5] - 0.2261157, 2);
feature2[88] += pow(inarray[6] - 0.7449322, 2);
feature2[88] += pow(inarray[7] - 0.1384901, 2);
feature2[88] += pow(inarray[8] - 0.1850751, 2);
feature2[88] += pow(inarray[9] - 0, 2);
feature2[88] += pow(inarray[10] - 7.225475E-02, 2);
feature2[88] += pow(inarray[11] - 0.370619, 2);
feature2[88] += pow(inarray[12] - 0.1089566, 2);
feature2[88] += pow(inarray[13] - 0.0173832, 2);
feature2[88] = exp(-feature2[88] / 0.4603483);
netsum += feature2[88];
 
feature2[89] = pow(inarray[0] - 1.837627, 2);
feature2[89] += pow(inarray[1] - 1.975306, 2);
feature2[89] += pow(inarray[2] - 1.712726, 2);
feature2[89] += pow(inarray[3] - 1.68774, 2);
feature2[89] += pow(inarray[4] - 1.801434, 2);
feature2[89] += pow(inarray[5] - 0.2968206, 2);
feature2[89] += pow(inarray[6] - 0.799542, 2);
feature2[89] += pow(inarray[7] - 0.1570171, 2);
feature2[89] += pow(inarray[8] - 0.2455863, 2);
feature2[89] += pow(inarray[9] - 0, 2);
feature2[89] += pow(inarray[10] - 0.091787, 2);
feature2[89] += pow(inarray[11] - 0.4570774, 2);
feature2[89] += pow(inarray[12] - 0.1326621, 2);
feature2[89] += pow(inarray[13] - 2.090125E-02, 2);
feature2[89] = exp(-feature2[89] / 0.4603483);
netsum += feature2[89];
 
feature2[90] = pow(inarray[0] - 1.268838, 2);
feature2[90] += pow(inarray[1] - 1.29277, 2);
feature2[90] += pow(inarray[2] - 1.448854, 2);
feature2[90] += pow(inarray[3] - 1.520928, 2);
feature2[90] += pow(inarray[4] - 1.838012, 2);
feature2[90] += pow(inarray[5] - 0.2135148, 2);
feature2[90] += pow(inarray[6] - 0.8121442, 2);
feature2[90] += pow(inarray[7] - 0.164428, 2);
feature2[90] += pow(inarray[8] - 0.272139, 2);
feature2[90] += pow(inarray[9] - 0, 2);
feature2[90] += pow(inarray[10] - 0.1124284, 2);
feature2[90] += pow(inarray[11] - 0.5752425, 2);
feature2[90] += pow(inarray[12] - 0.1662955, 2);
feature2[90] += pow(inarray[13] - 2.665795E-02, 2);
feature2[90] = exp(-feature2[90] / 0.4603483);
netsum += feature2[90];
 
feature2[91] = pow(inarray[0] - 0.8167233, 2);
feature2[91] += pow(inarray[1] - 0.592881, 2);
feature2[91] += pow(inarray[2] - 0.5326309, 2);
feature2[91] += pow(inarray[3] - 0.6417336, 2);
feature2[91] += pow(inarray[4] - 0.7452634, 2);
feature2[91] += pow(inarray[5] - 0.1092076, 2);
feature2[91] += pow(inarray[6] - 0.4172741, 2);
feature2[91] += pow(inarray[7] - 8.221399E-02, 2);
feature2[91] += pow(inarray[8] - 0.1691075, 2);
feature2[91] += pow(inarray[9] - 0, 2);
feature2[91] += pow(inarray[10] - 9.122322E-02, 2);
feature2[91] += pow(inarray[11] - 0.4996735, 2);
feature2[91] += pow(inarray[12] - 0.1568141, 2);
feature2[91] += pow(inarray[13] - 2.601235E-02, 2);
feature2[91] = exp(-feature2[91] / 0.4603483);
netsum += feature2[91];
 
feature2[92] = pow(inarray[0] - 1.054934, 2);
feature2[92] += pow(inarray[1] - 0.7692992, 2);
feature2[92] += pow(inarray[2] - 0.4251274, 2);
feature2[92] += pow(inarray[3] - 0.4690346, 2);
feature2[92] += pow(inarray[4] - 0.3406265, 2);
feature2[92] += pow(inarray[5] - 0.1176082, 2);
feature2[92] += pow(inarray[6] - 0.287051, 2);
feature2[92] += pow(inarray[7] - 5.048634E-02, 2);
feature2[92] += pow(inarray[8] - 0.1322913, 2);
feature2[92] += pow(inarray[9] - 0, 2);
feature2[92] += pow(inarray[10] - 7.046404E-02, 2);
feature2[92] += pow(inarray[11] - 0.4235745, 2);
feature2[92] += pow(inarray[12] - 0.136308, 2);
feature2[92] += pow(inarray[13] - 2.360246E-02, 2);
feature2[92] = exp(-feature2[92] / 0.4603483);
netsum += feature2[92];
 
feature2[93] = pow(inarray[0] - 2.654351, 2);
feature2[93] += pow(inarray[1] - 2.6, 2);
feature2[93] += pow(inarray[2] - 2.413942, 2);
feature2[93] += pow(inarray[3] - 2.258824, 2);
feature2[93] += pow(inarray[4] - 2.22436, 2);
feature2[93] += pow(inarray[5] - 0.3304229, 2);
feature2[93] += pow(inarray[6] - 0.9661716, 2);
feature2[93] += pow(inarray[7] - 0.1855025, 2);
feature2[93] += pow(inarray[8] - 0.2623344, 2);
feature2[93] += pow(inarray[9] - 0, 2);
feature2[93] += pow(inarray[10] - 0.0827217, 2);
feature2[93] += pow(inarray[11] - 0.3861635, 2);
feature2[93] += pow(inarray[12] - 0.1077035, 2);
feature2[93] += pow(inarray[13] - 1.738464E-02, 2);
feature2[93] = exp(-feature2[93] / 0.4603483);
netsum += feature2[93];
 
feature2[94] = pow(inarray[0] - 1.628585, 2);
feature2[94] += pow(inarray[1] - 2.203782, 2);
feature2[94] += pow(inarray[2] - 2.409055, 2);
feature2[94] += pow(inarray[3] - 2.211724, 2);
feature2[94] += pow(inarray[4] - 2.494118, 2);
feature2[94] += pow(inarray[5] - 0.3822265, 2);
feature2[94] += pow(inarray[6] - 1.258824, 2);
feature2[94] += pow(inarray[7] - 0.2288096, 2);
feature2[94] += pow(inarray[8] - 0.3132706, 2);
feature2[94] += pow(inarray[9] - 0, 2);
feature2[94] += pow(inarray[10] - 0.1073719, 2);
feature2[94] += pow(inarray[11] - 0.4968233, 2);
feature2[94] += pow(inarray[12] - 0.1347079, 2);
feature2[94] += pow(inarray[13] - 2.045112E-02, 2);
feature2[94] = exp(-feature2[94] / 0.4603483);
netsum += feature2[94];
 
feature2[95] = pow(inarray[0] - 1.973748, 2);
feature2[95] += pow(inarray[1] - 1.474972, 2);
feature2[95] += pow(inarray[2] - 1.458627, 2);
feature2[95] += pow(inarray[3] - 1.858476, 2);
feature2[95] += pow(inarray[4] - 2.34095, 2);
feature2[95] += pow(inarray[5] - 0.1561108, 2);
feature2[95] += pow(inarray[6] - 0.6147091, 2);
feature2[95] += pow(inarray[7] - 0.1706809, 2);
feature2[95] += pow(inarray[8] - 0.2879648, 2);
feature2[95] += pow(inarray[9] - 0, 2);
feature2[95] += pow(inarray[10] - 0.1240298, 2);
feature2[95] += pow(inarray[11] - 0.6314356, 2);
feature2[95] += pow(inarray[12] - 0.178571, 2);
feature2[95] += pow(inarray[13] - 2.702136E-02, 2);
feature2[95] = exp(-feature2[95] / 0.4603483);
netsum += feature2[95];
 
feature2[96] = pow(inarray[0] - 1.609139, 2);
feature2[96] += pow(inarray[1] - 1.952169, 2);
feature2[96] += pow(inarray[2] - 1.808013, 2);
feature2[96] += pow(inarray[3] - 1.854551, 2);
feature2[96] += pow(inarray[4] - 2.185497, 2);
feature2[96] += pow(inarray[5] - 0.3241225, 2);
feature2[96] += pow(inarray[6] - 0.9199634, 2);
feature2[96] += pow(inarray[7] - 0.1875868, 2);
feature2[96] += pow(inarray[8] - 0.3485573, 2);
feature2[96] += pow(inarray[9] - 0, 2);
feature2[96] += pow(inarray[10] - 0.1404843, 2);
feature2[96] += pow(inarray[11] - 0.7297537, 2);
feature2[96] += pow(inarray[12] - 0.2175167, 2);
feature2[96] += pow(inarray[13] - 3.538912E-02, 2);
feature2[96] = exp(-feature2[96] / 0.4603483);
netsum += feature2[96];
 
feature2[97] = pow(inarray[0] - 1.735537, 2);
feature2[97] += pow(inarray[1] - 1.645606, 2);
feature2[97] += pow(inarray[2] - 1.915516, 2);
feature2[97] += pow(inarray[3] - 1.768202, 2);
feature2[97] += pow(inarray[4] - 2.073478, 2);
feature2[97] += pow(inarray[5] - 0.2317161, 2);
feature2[97] += pow(inarray[6] - 0.9451678, 2);
feature2[97] += pow(inarray[7] - 0.1713756, 2);
feature2[97] += pow(inarray[8] - 0.3453785, 2);
feature2[97] += pow(inarray[9] - 0, 2);
feature2[97] += pow(inarray[10] - 0.14548, 2);
feature2[97] += pow(inarray[11] - 0.7462419, 2);
feature2[97] += pow(inarray[12] - 0.2260835, 2);
feature2[97] += pow(inarray[13] - 3.678849E-02, 2);
feature2[97] = exp(-feature2[97] / 0.4603483);
netsum += feature2[97];
 
feature2[98] = pow(inarray[0] - 1.6772, 2);
feature2[98] += pow(inarray[1] - 1.686096, 2);
feature2[98] += pow(inarray[2] - 1.627212, 2);
feature2[98] += pow(inarray[3] - 1.831001, 2);
feature2[98] += pow(inarray[4] - 1.945458, 2);
feature2[98] += pow(inarray[5] - 0.2499174, 2);
feature2[98] += pow(inarray[6] - 0.7967414, 2);
feature2[98] += pow(inarray[7] - 0.1815655, 2);
feature2[98] += pow(inarray[8] - 0.3498608, 2);
feature2[98] += pow(inarray[9] - 0, 2);
feature2[98] += pow(inarray[10] - 0.1482214, 2);
feature2[98] += pow(inarray[11] - 0.768823, 2);
feature2[98] += pow(inarray[12] - 0.2309074, 2);
feature2[98] += pow(inarray[13] - 3.810508E-02, 2);
feature2[98] = exp(-feature2[98] / 0.4603483);
netsum += feature2[98];
 
feature2[99] = pow(inarray[0] - 1.628585, 2);
feature2[99] += pow(inarray[1] - 1.622469, 2);
feature2[99] += pow(inarray[2] - 1.636985, 2);
feature2[99] += pow(inarray[3] - 1.579803, 2);
feature2[99] += pow(inarray[4] - 1.995752, 2);
feature2[99] += pow(inarray[5] - 0.2415168, 2);
feature2[99] += pow(inarray[6] - 0.816345, 2);
feature2[99] += pow(inarray[7] - 0.1542381, 2);
feature2[99] += pow(inarray[8] - 0.3438647, 2);
feature2[99] += pow(inarray[9] - 0, 2);
feature2[99] += pow(inarray[10] - 0.1475248, 2);
feature2[99] += pow(inarray[11] - 0.7762079, 2);
feature2[99] += pow(inarray[12] - 0.2357032, 2);
feature2[99] += pow(inarray[13] - 3.866521E-02, 2);
feature2[99] = exp(-feature2[99] / 0.4603483);
netsum += feature2[99];
 
feature2[100] = pow(inarray[0] - 0.9285367, 2);
feature2[100] += pow(inarray[1] - 1.177086, 2);
feature2[100] += pow(inarray[2] - 1.231403, 2);
feature2[100] += pow(inarray[3] - 1.305055, 2);
feature2[100] += pow(inarray[4] - 1.373937, 2);
feature2[100] += pow(inarray[5] - 0.2345163, 2);
feature2[100] += pow(inarray[6] - 0.7855395, 2);
feature2[100] += pow(inarray[7] - 0.1551644, 2);
feature2[100] += pow(inarray[8] - 0.3207372, 2);
feature2[100] += pow(inarray[9] - 0, 2);
feature2[100] += pow(inarray[10] - 0.143867, 2);
feature2[100] += pow(inarray[11] - 0.7597353, 2);
feature2[100] += pow(inarray[12] - 0.2341133, 2);
feature2[100] += pow(inarray[13] - 3.885693E-02, 2);
feature2[100] = exp(-feature2[100] / 0.4603483);
netsum += feature2[100];
 
feature2[101] = pow(inarray[0] - 2.182791, 2);
feature2[101] += pow(inarray[1] - 2.102558, 2);
feature2[101] += pow(inarray[2] - 1.636985, 2);
feature2[101] += pow(inarray[3] - 1.587653, 2);
feature2[101] += pow(inarray[4] - 1.735138, 2);
feature2[101] += pow(inarray[5] - 0.2779193, 2);
feature2[101] += pow(inarray[6] - 0.6567166, 2);
feature2[101] += pow(inarray[7] - 0.1287633, 2);
feature2[101] += pow(inarray[8] - 0.3403474, 2);
feature2[101] += pow(inarray[9] - 0, 2);
feature2[101] += pow(inarray[10] - 0.1371815, 2);
feature2[101] += pow(inarray[11] - 0.7321715, 2);
feature2[101] += pow(inarray[12] - 0.2273617, 2);
feature2[101] += pow(inarray[13] - 3.819194E-02, 2);
feature2[101] = exp(-feature2[101] / 0.4603483);
netsum += feature2[101];
 
feature2[102] = pow(inarray[0] - 2.04667, 2);
feature2[102] += pow(inarray[1] - 1.905895, 2);
feature2[102] += pow(inarray[2] - 1.773807, 2);
feature2[102] += pow(inarray[3] - 1.55429, 2);
feature2[102] += pow(inarray[4] - 1.223055, 2);
feature2[102] += pow(inarray[5] - 0.2499174, 2);
feature2[102] += pow(inarray[6] - 0.7743375, 2);
feature2[102] += pow(inarray[7] - 0.1313108, 2);
feature2[102] += pow(inarray[8] - 0.2730833, 2);
feature2[102] += pow(inarray[9] - 0, 2);
feature2[102] += pow(inarray[10] - 0.1075076, 2);
feature2[102] += pow(inarray[11] - 0.5611801, 2);
feature2[102] += pow(inarray[12] - 0.1768709, 2);
feature2[102] += pow(inarray[13] - 3.101994E-02, 2);
feature2[102] = exp(-feature2[102] / 0.4603483);
netsum += feature2[102];
 
feature2[103] = pow(inarray[0] - 1.263977, 2);
feature2[103] += pow(inarray[1] - 0.9399332, 2);
feature2[103] += pow(inarray[2] - 1.216744, 2);
feature2[103] += pow(inarray[3] - 1.29328, 2);
feature2[103] += pow(inarray[4] - 1.323643, 2);
feature2[103] += pow(inarray[5] - 0.1288089, 2);
feature2[103] += pow(inarray[6] - 0.6805208, 2);
feature2[103] += pow(inarray[7] - 0.1377953, 2);
feature2[103] += pow(inarray[8] - 0.2235144, 2);
feature2[103] += pow(inarray[9] - 0, 2);
feature2[103] += pow(inarray[10] - 0.1058135, 2);
feature2[103] += pow(inarray[11] - 0.5569614, 2);
feature2[103] += pow(inarray[12] - 0.166393, 2);
feature2[103] += pow(inarray[13] - 2.757783E-02, 2);
feature2[103] = exp(-feature2[103] / 0.4603483);
netsum += feature2[103];
 
feature2[104] = pow(inarray[0] - 1.920272, 2);
feature2[104] += pow(inarray[1] - 1.703448, 2);
feature2[104] += pow(inarray[2] - 1.45374, 2);
feature2[104] += pow(inarray[3] - 1.29328, 2);
feature2[104] += pow(inarray[4] - 1.024166, 2);
feature2[104] += pow(inarray[5] - 0.2191152, 2);
feature2[104] += pow(inarray[6] - 0.6273114, 2);
feature2[104] += pow(inarray[7] - 0.1065308, 2);
feature2[104] += pow(inarray[8] - 0.2173191, 2);
feature2[104] += pow(inarray[9] - 0, 2);
feature2[104] += pow(inarray[10] - 0.0862563, 2);
feature2[104] += pow(inarray[11] - 0.4577765, 2);
feature2[104] += pow(inarray[12] - 0.1450313, 2);
feature2[104] += pow(inarray[13] - 2.491754E-02, 2);
feature2[104] = exp(-feature2[104] / 0.4603483);
netsum += feature2[104];
 
feature2[105] = pow(inarray[0] - 2.007778, 2);
feature2[105] += pow(inarray[1] - 1.671635, 2);
feature2[105] += pow(inarray[2] - 1.536811, 2);
feature2[105] += pow(inarray[3] - 1.634753, 2);
feature2[105] += pow(inarray[4] - 1.810579, 2);
feature2[105] += pow(inarray[5] - 0.1988138, 2);
feature2[105] += pow(inarray[6] - 0.6497154, 2);
feature2[105] += pow(inarray[7] - 0.1426586, 2);
feature2[105] += pow(inarray[8] - 0.2790256, 2);
feature2[105] += pow(inarray[9] - 0, 2);
feature2[105] += pow(inarray[10] - 0.1110891, 2);
feature2[105] += pow(inarray[11] - 0.5757411, 2);
feature2[105] += pow(inarray[12] - 0.1711448, 2);
feature2[105] += pow(inarray[13] - 0.027454, 2);
feature2[105] = exp(-feature2[105] / 0.4603483);
netsum += feature2[105];
 
feature2[106] = pow(inarray[0] - 1.784152, 2);
feature2[106] += pow(inarray[1] - 1.492325, 2);
feature2[106] += pow(inarray[2] - 1.546584, 2);
feature2[106] += pow(inarray[3] - 1.668115, 2);
feature2[106] += pow(inarray[4] - 1.689416, 2);
feature2[106] += pow(inarray[5] - 0.187613, 2);
feature2[106] += pow(inarray[6] - 0.7197278, 2);
feature2[106] += pow(inarray[7] - 0.1572487, 2);
feature2[106] += pow(inarray[8] - 0.2858223, 2);
feature2[106] += pow(inarray[9] - 0, 2);
feature2[106] += pow(inarray[10] - 0.1220729, 2);
feature2[106] += pow(inarray[11] - 0.6335132, 2);
feature2[106] += pow(inarray[12] - 0.1865832, 2);
feature2[106] += pow(inarray[13] - 3.080588E-02, 2);
feature2[106] = exp(-feature2[106] / 0.4603483);
netsum += feature2[106];
 
feature2[107] = pow(inarray[0] - 1.220224, 2);
feature2[107] += pow(inarray[1] - 1.232036, 2);
feature2[107] += pow(inarray[2] - 1.25095, 2);
feature2[107] += pow(inarray[3] - 1.438504, 2);
feature2[107] += pow(inarray[4] - 1.689416, 2);
feature2[107] += pow(inarray[5] - 0.2058143, 2);
feature2[107] += pow(inarray[6] - 0.7127265, 2);
feature2[107] += pow(inarray[7] - 0.1570171, 2);
feature2[107] += pow(inarray[8] - 0.29257, 2);
feature2[107] += pow(inarray[9] - 0, 2);
feature2[107] += pow(inarray[10] - 0.1340729, 2);
feature2[107] += pow(inarray[11] - 0.7009449, 2);
feature2[107] += pow(inarray[12] - 0.2100342, 2);
feature2[107] += pow(inarray[13] - 3.452845E-02, 2);
feature2[107] = exp(-feature2[107] / 0.4603483);
netsum += feature2[107];
 
feature2[108] = pow(inarray[0] - 0.986874, 2);
feature2[108] += pow(inarray[1] - 1.162625, 2);
feature2[108] += pow(inarray[2] - 0.9895206, 2);
feature2[108] += pow(inarray[3] - 0.9871315, 2);
feature2[108] += pow(inarray[4] - 1.010449, 2);
feature2[108] += pow(inarray[5] - 0.2226155, 2);
feature2[108] += pow(inarray[6] - 0.6301119, 2);
feature2[108] += pow(inarray[7] - 0.114868, 2);
feature2[108] += pow(inarray[8] - 0.254433, 2);
feature2[108] += pow(inarray[9] - 0, 2);
feature2[108] += pow(inarray[10] - 0.1155003, 2);
feature2[108] += pow(inarray[11] - 0.6356406, 2);
feature2[108] += pow(inarray[12] - 0.1999257, 2);
feature2[108] += pow(inarray[13] - 3.357228E-02, 2);
feature2[108] = exp(-feature2[108] / 0.4603483);
netsum += feature2[108];
 
feature2[109] = pow(inarray[0] - 1.944579, 2);
feature2[109] += pow(inarray[1] - 2.024472, 2);
feature2[109] += pow(inarray[2] - 1.600336, 2);
feature2[109] += pow(inarray[3] - 1.524853, 2);
feature2[109] += pow(inarray[4] - 1.447091, 2);
feature2[109] += pow(inarray[5] - 0.2933204, 2);
feature2[109] += pow(inarray[6] - 0.7043251, 2);
feature2[109] += pow(inarray[7] - 0.1327003, 2);
feature2[109] += pow(inarray[8] - 0.2877692, 2);
feature2[109] += pow(inarray[9] - 0, 2);
feature2[109] += pow(inarray[10] - 0.1103308, 2);
feature2[109] += pow(inarray[11] - 0.5850987, 2);
feature2[109] += pow(inarray[12] - 0.1817508, 2);
feature2[109] += pow(inarray[13] - 3.129675E-02, 2);
feature2[109] = exp(-feature2[109] / 0.4603483);
netsum += feature2[109];
 
feature2[110] = pow(inarray[0] - 1.570248, 2);
feature2[110] += pow(inarray[1] - 1.74683, 2);
feature2[110] += pow(inarray[2] - 1.893527, 2);
feature2[110] += pow(inarray[3] - 1.534666, 2);
feature2[110] += pow(inarray[4] - 1.611689, 2);
feature2[110] += pow(inarray[5] - 0.2800194, 2);
feature2[110] += pow(inarray[6] - 0.9801741, 2);
feature2[110] += pow(inarray[7] - 0.1516906, 2);
feature2[110] += pow(inarray[8] - 0.2750871, 2);
feature2[110] += pow(inarray[9] - 0, 2);
feature2[110] += pow(inarray[10] - 0.1133967, 2);
feature2[110] += pow(inarray[11] - 0.5843433, 2);
feature2[110] += pow(inarray[12] - 0.1791421, 2);
feature2[110] += pow(inarray[13] - 3.019472E-02, 2);
feature2[110] = exp(-feature2[110] / 0.4603483);
netsum += feature2[110];
 
feature2[111] = pow(inarray[0] - 2.304327, 2);
feature2[111] += pow(inarray[1] - 2.186429, 2);
feature2[111] += pow(inarray[2] - 1.847105, 2);
feature2[111] += pow(inarray[3] - 1.732877, 2);
feature2[111] += pow(inarray[4] - 2.030043, 2);
feature2[111] += pow(inarray[5] - 0.2807195, 2);
feature2[111] += pow(inarray[6] - 0.7421318, 2);
feature2[111] += pow(inarray[7] - 0.1401112, 2);
feature2[111] += pow(inarray[8] - 0.3150055, 2);
feature2[111] += pow(inarray[9] - 0, 2);
feature2[111] += pow(inarray[10] - 0.1211592, 2);
feature2[111] += pow(inarray[11] - 0.6275364, 2);
feature2[111] += pow(inarray[12] - 0.1917288, 2);
feature2[111] += pow(inarray[13] - 3.100562E-02, 2);
feature2[111] = exp(-feature2[111] / 0.4603483);
netsum += feature2[111];
 
feature2[112] = pow(inarray[0] - 1.725814, 2);
feature2[112] += pow(inarray[1] - 2.053392, 2);
feature2[112] += pow(inarray[2] - 2.108534, 2);
feature2[112] += pow(inarray[3] - 1.795676, 2);
feature2[112] += pow(inarray[4] - 1.927169, 2);
feature2[112] += pow(inarray[5] - 0.331823, 2);
feature2[112] += pow(inarray[6] - 1.058588, 2);
feature2[112] += pow(inarray[7] - 0.1750811, 2);
feature2[112] += pow(inarray[8] - 0.3450923, 2);
feature2[112] += pow(inarray[9] - 0, 2);
feature2[112] += pow(inarray[10] - 0.1322349, 2);
feature2[112] += pow(inarray[11] - 0.6689876, 2);
feature2[112] += pow(inarray[12] - 0.2002822, 2);
feature2[112] += pow(inarray[13] - 3.310622E-02, 2);
feature2[112] = exp(-feature2[112] / 0.4603483);
netsum += feature2[112];
 
feature2[113] = pow(inarray[0] - 1.895965, 2);
feature2[113] += pow(inarray[1] - 1.396885, 2);
feature2[113] += pow(inarray[2] - 1.290042, 2);
feature2[113] += pow(inarray[3] - 1.348229, 2);
feature2[113] += pow(inarray[4] - 1.75114, 2);
feature2[113] += pow(inarray[5] - 0.1484103, 2);
feature2[113] += pow(inarray[6] - 0.540496, 2);
feature2[113] += pow(inarray[7] - 0.1141732, 2);
feature2[113] += pow(inarray[8] - 0.2958856, 2);
feature2[113] += pow(inarray[9] - 0, 2);
feature2[113] += pow(inarray[10] - 0.1336156, 2);
feature2[113] += pow(inarray[11] - 0.7186744, 2);
feature2[113] += pow(inarray[12] - 0.2187596, 2);
feature2[113] += pow(inarray[13] - 0.03549, 2);
feature2[113] = exp(-feature2[113] / 0.4603483);
netsum += feature2[113];
 
feature2[114] = pow(inarray[0] - 1.521634, 2);
feature2[114] += pow(inarray[1] - 1.223359, 2);
feature2[114] += pow(inarray[2] - 1.380442, 2);
feature2[114] += pow(inarray[3] - 1.140206, 2);
feature2[114] += pow(inarray[4] - 1.095034, 2);
feature2[114] += pow(inarray[5] - 0.1603111, 2);
feature2[114] += pow(inarray[6] - 0.7001243, 2);
feature2[114] += pow(inarray[7] - 0.1074572, 2);
feature2[114] += pow(inarray[8] - 0.2594111, 2);
feature2[114] += pow(inarray[9] - 0, 2);
feature2[114] += pow(inarray[10] - 0.1180252, 2);
feature2[114] += pow(inarray[11] - 0.6338712, 2);
feature2[114] += pow(inarray[12] - 0.2015094, 2);
feature2[114] += pow(inarray[13] - 3.450048E-02, 2);
feature2[114] = exp(-feature2[114] / 0.4603483);
netsum += feature2[114];
 
feature2[115] = pow(inarray[0] - 1.652892, 2);
feature2[115] += pow(inarray[1] - 1.544383, 2);
feature2[115] += pow(inarray[2] - 1.258279, 2);
feature2[115] += pow(inarray[3] - 1.391404, 2);
feature2[115] += pow(inarray[4] - 1.20248, 2);
feature2[115] += pow(inarray[5] - 0.2191152, 2);
feature2[115] += pow(inarray[6] - 0.5923051, 2);
feature2[115] += pow(inarray[7] - 0.1308476, 2);
feature2[115] += pow(inarray[8] - 0.2671169, 2);
feature2[115] += pow(inarray[9] - 0, 2);
feature2[115] += pow(inarray[10] - 0.1137548, 2);
feature2[115] += pow(inarray[11] - 0.6103161, 2);
feature2[115] += pow(inarray[12] - 0.1902436, 2);
feature2[115] += pow(inarray[13] - 3.284187E-02, 2);
feature2[115] = exp(-feature2[115] / 0.4603483);
netsum += feature2[115];
 
feature2[116] = pow(inarray[0] - 1.672338, 2);
feature2[116] += pow(inarray[1] - 1.599333, 2);
feature2[116] += pow(inarray[2] - 1.575903, 2);
feature2[116] += pow(inarray[3] - 1.495416, 2);
feature2[116] += pow(inarray[4] - 1.362506, 2);
feature2[116] += pow(inarray[5] - 0.229616, 2);
feature2[116] += pow(inarray[6] - 0.7687365, 2);
feature2[116] += pow(inarray[7] - 0.1421955, 2);
feature2[116] += pow(inarray[8] - 0.2875658, 2);
feature2[116] += pow(inarray[9] - 0, 2);
feature2[116] += pow(inarray[10] - 0.1148086, 2);
feature2[116] += pow(inarray[11] - 0.5929226, 2);
feature2[116] += pow(inarray[12] - 0.1826046, 2);
feature2[116] += pow(inarray[13] - 3.075884E-02, 2);
feature2[116] = exp(-feature2[116] / 0.4603483);
netsum += feature2[116];
 
feature2[117] = pow(inarray[0] - 1.536218, 2);
feature2[117] += pow(inarray[1] - 1.434483, 2);
feature2[117] += pow(inarray[2] - 1.563687, 2);
feature2[117] += pow(inarray[3] - 1.54644, 2);
feature2[117] += pow(inarray[4] - 1.648267, 2);
feature2[117] += pow(inarray[5] - 0.2093145, 2);
feature2[117] += pow(inarray[6] - 0.8009422, 2);
feature2[117] += pow(inarray[7] - 0.1547012, 2);
feature2[117] += pow(inarray[8] - 0.2795948, 2);
feature2[117] += pow(inarray[9] - 0, 2);
feature2[117] += pow(inarray[10] - 0.119735, 2);
feature2[117] += pow(inarray[11] - 0.6292445, 2);
feature2[117] += pow(inarray[12] - 0.1886159, 2);
feature2[117] += pow(inarray[13] - 3.100384E-02, 2);
feature2[117] = exp(-feature2[117] / 0.4603483);
netsum += feature2[117];
 
feature2[118] = pow(inarray[0] - 2.061254, 2);
feature2[118] += pow(inarray[1] - 1.795995, 2);
feature2[118] += pow(inarray[2] - 1.641871, 2);
feature2[118] += pow(inarray[3] - 1.70344, 2);
feature2[118] += pow(inarray[4] - 1.867731, 2);
feature2[118] += pow(inarray[5] - 0.2212154, 2);
feature2[118] += pow(inarray[6] - 0.6945233, 2);
feature2[118] += pow(inarray[7] - 0.1482168, 2);
feature2[118] += pow(inarray[8] - 0.30373, 2);
feature2[118] += pow(inarray[9] - 0, 2);
feature2[118] += pow(inarray[10] - 0.1240672, 2);
feature2[118] += pow(inarray[11] - 0.6388155, 2);
feature2[118] += pow(inarray[12] - 0.1945408, 2);
feature2[118] += pow(inarray[13] - 3.178264E-02, 2);
feature2[118] = exp(-feature2[118] / 0.4603483);
netsum += feature2[118];
 
feature2[119] = pow(inarray[0] - 1.40982, 2);
feature2[119] += pow(inarray[1] - 1.720801, 2);
feature2[119] += pow(inarray[2] - 1.619882, 2);
feature2[119] += pow(inarray[3] - 1.503266, 2);
feature2[119] += pow(inarray[4] - 1.744282, 2);
feature2[119] += pow(inarray[5] - 0.2968206, 2);
feature2[119] += pow(inarray[6] - 0.8695544, 2);
feature2[119] += pow(inarray[7] - 0.1556276, 2);
feature2[119] += pow(inarray[8] - 0.2998399, 2);
feature2[119] += pow(inarray[9] - 0, 2);
feature2[119] += pow(inarray[10] - 0.124377, 2);
feature2[119] += pow(inarray[11] - 0.6537927, 2);
feature2[119] += pow(inarray[12] - 0.1963722, 2);
feature2[119] += pow(inarray[13] - 3.254451E-02, 2);
feature2[119] = exp(-feature2[119] / 0.4603483);
netsum += feature2[119];
 
feature2[120] = pow(inarray[0] - 2.38211, 2);
feature2[120] += pow(inarray[1] - 1.91168, 2);
feature2[120] += pow(inarray[2] - 2.045009, 2);
feature2[120] += pow(inarray[3] - 1.878101, 2);
feature2[120] += pow(inarray[4] - 1.968318, 2);
feature2[120] += pow(inarray[5] - 0.2030141, 2);
feature2[120] += pow(inarray[6] - 0.8331479, 2);
feature2[120] += pow(inarray[7] - 0.1535433, 2);
feature2[120] += pow(inarray[8] - 0.3285777, 2);
feature2[120] += pow(inarray[9] - 0, 2);
feature2[120] += pow(inarray[10] - 0.131648, 2);
feature2[120] += pow(inarray[11] - 0.6720442, 2);
feature2[120] += pow(inarray[12] - 0.2044344, 2);
feature2[120] += pow(inarray[13] - 3.341687E-02, 2);
feature2[120] = exp(-feature2[120] / 0.4603483);
netsum += feature2[120];
 
feature2[121] = pow(inarray[0] - 1.293145, 2);
feature2[121] += pow(inarray[1] - 1.842269, 2);
feature2[121] += pow(inarray[2] - 1.658974, 2);
feature2[121] += pow(inarray[3] - 1.779977, 2);
feature2[121] += pow(inarray[4] - 1.892878, 2);
feature2[121] += pow(inarray[5] - 0.3430238, 2);
feature2[121] += pow(inarray[6] - 0.9255643, 2);
feature2[121] += pow(inarray[7] - 0.1938397, 2);
feature2[121] += pow(inarray[8] - 0.341546, 2);
feature2[121] += pow(inarray[9] - 0, 2);
feature2[121] += pow(inarray[10] - 0.1372615, 2);
feature2[121] += pow(inarray[11] - 0.7087262, 2);
feature2[121] += pow(inarray[12] - 0.2109689, 2);
feature2[121] += pow(inarray[13] - 3.484203E-02, 2);
feature2[121] = exp(-feature2[121] / 0.4603483);
netsum += feature2[121];
 
feature2[122] = pow(inarray[0] - 1.740399, 2);
feature2[122] += pow(inarray[1] - 1.501001, 2);
feature2[122] += pow(inarray[2] - 1.531924, 2);
feature2[122] += pow(inarray[3] - 1.367854, 2);
feature2[122] += pow(inarray[4] - 1.810579, 2);
feature2[122] += pow(inarray[5] - 0.1960136, 2);
feature2[122] += pow(inarray[6] - 0.7239286, 2);
feature2[122] += pow(inarray[7] - 0.1239, 2);
feature2[122] += pow(inarray[8] - 0.3066491, 2);
feature2[122] += pow(inarray[9] - 0, 2);
feature2[122] += pow(inarray[10] - 0.1360333, 2);
feature2[122] += pow(inarray[11] - 0.7262185, 2);
feature2[122] += pow(inarray[12] - 0.2226858, 2);
feature2[122] += pow(inarray[13] - 3.655672E-02, 2);
feature2[122] = exp(-feature2[122] / 0.4603483);
netsum += feature2[122];
 
feature2[123] = pow(inarray[0] - 2.017501, 2);
feature2[123] += pow(inarray[1] - 1.19733, 2);
feature2[123] += pow(inarray[2] - 1.031056, 2);
feature2[123] += pow(inarray[3] - 1.146093, 2);
feature2[123] += pow(inarray[4] - 1.072173, 2);
feature2[123] += pow(inarray[5] - 8.260573E-02, 2);
feature2[123] += pow(inarray[6] - 0.3570634, 2);
feature2[123] += pow(inarray[7] - 8.452988E-02, 2);
feature2[123] += pow(inarray[8] - 0.2335884, 2);
feature2[123] += pow(inarray[9] - 0, 2);
feature2[123] += pow(inarray[10] - 0.1080563, 2);
feature2[123] += pow(inarray[11] - 0.5939589, 2);
feature2[123] += pow(inarray[12] - 0.1889454, 2);
feature2[123] += pow(inarray[13] - 3.237174E-02, 2);
feature2[123] = exp(-feature2[123] / 0.4603483);
netsum += feature2[123];
 
feature2[124] = pow(inarray[0] - 2.435586, 2);
feature2[124] += pow(inarray[1] - 2.305006, 2);
feature2[124] += pow(inarray[2] - 1.629655, 2);
feature2[124] += pow(inarray[3] - 1.426729, 2);
feature2[124] += pow(inarray[4] - 1.577398, 2);
feature2[124] += pow(inarray[5] - 0.2905202, 2);
feature2[124] += pow(inarray[6] - 0.5797029, 2);
feature2[124] += pow(inarray[7] - 9.773044E-02, 2);
feature2[124] += pow(inarray[8] - 0.2900858, 2);
feature2[124] += pow(inarray[9] - 0, 2);
feature2[124] += pow(inarray[10] - 0.1063247, 2);
feature2[124] += pow(inarray[11] - 0.5841516, 2);
feature2[124] += pow(inarray[12] - 0.1836129, 2);
feature2[124] += pow(inarray[13] - 3.153938E-02, 2);
feature2[124] = exp(-feature2[124] / 0.4603483);
netsum += feature2[124];
 
feature2[125] = pow(inarray[0] - 1.570248, 2);
feature2[125] += pow(inarray[1] - 1.587764, 2);
feature2[125] += pow(inarray[2] - 1.959495, 2);
feature2[125] += pow(inarray[3] - 2.0037, 2);
feature2[125] += pow(inarray[4] - 1.700847, 2);
feature2[125] += pow(inarray[5] - 0.2415168, 2);
feature2[125] += pow(inarray[6] - 1.017981, 2);
feature2[125] += pow(inarray[7] - 0.2070403, 2);
feature2[125] += pow(inarray[8] - 0.3180273, 2);
feature2[125] += pow(inarray[9] - 0, 2);
feature2[125] += pow(inarray[10] - 0.1331994, 2);
feature2[125] += pow(inarray[11] - 0.6509914, 2);
feature2[125] += pow(inarray[12] - 0.1901952, 2);
feature2[125] += pow(inarray[13] - 3.196567E-02, 2);
feature2[125] = exp(-feature2[125] / 0.4603483);
netsum += feature2[125];
 
feature2[126] = pow(inarray[0] - 1.691784, 2);
feature2[126] += pow(inarray[1] - 1.983982, 2);
feature2[126] += pow(inarray[2] - 1.993701, 2);
feature2[126] += pow(inarray[3] - 1.870251, 2);
feature2[126] += pow(inarray[4] - 2.01404, 2);
feature2[126] += pow(inarray[5] - 0.3199222, 2);
feature2[126] += pow(inarray[6] - 1.002578, 2);
feature2[126] += pow(inarray[7] - 0.1855025, 2);
feature2[126] += pow(inarray[8] - 0.3765733, 2);
feature2[126] += pow(inarray[9] - 0, 2);
feature2[126] += pow(inarray[10] - 0.1462743, 2);
feature2[126] += pow(inarray[11] - 0.7512651, 2);
feature2[126] += pow(inarray[12] - 0.2274233, 2);
feature2[126] += pow(inarray[13] - 3.796903E-02, 2);
feature2[126] = exp(-feature2[126] / 0.4603483);
netsum += feature2[126];
 
feature2[127] = pow(inarray[0] - 0.4569761, 2);
feature2[127] += pow(inarray[1] - 0, 2);
feature2[127] += pow(inarray[2] - 0.1661417, 2);
feature2[127] += pow(inarray[3] - 0.3532479, 2);
feature2[127] += pow(inarray[4] - 0.2811883, 2);
feature2[127] += pow(inarray[5] - 1.750121E-02, 2);
feature2[127] += pow(inarray[6] - 0.3108552, 2);
feature2[127] += pow(inarray[7] - 6.530801E-02, 2);
feature2[127] += pow(inarray[8] - 0.1763165, 2);
feature2[127] += pow(inarray[9] - 0, 2);
feature2[127] += pow(inarray[10] - 0.1098494, 2);
feature2[127] += pow(inarray[11] - 0.6179564, 2);
feature2[127] += pow(inarray[12] - 0.1986997, 2);
feature2[127] += pow(inarray[13] - 0.0345738, 2);
feature2[127] = exp(-feature2[127] / 0.4603483);
netsum += feature2[127];
 
if (netsum == 0) {
  printf ("Smoothing factor is out of range for this data. Train again with patterns similar to this one.");
  exit(1); }
 
outarray[0] = feature2[0] * 0.5504923;
outarray[0] += feature2[1] * 0.5489547;
outarray[0] += feature2[2] * 0.4111413;
outarray[0] += feature2[3] * 0.4849377;
outarray[0] += feature2[4] * 0.6291515;
outarray[0] += feature2[5] * 0.5507116;
outarray[0] += feature2[6] * 0.662183;
outarray[0] += feature2[7] * 0.5955063;
outarray[0] += feature2[8] * 0.733788;
outarray[0] += feature2[9] * 0.5673344;
outarray[0] += feature2[10] * 0.2909768;
outarray[0] += feature2[11] * 0.6642179;
outarray[0] += feature2[12] * 0.7531132;
outarray[0] += feature2[13] * 0.4128367;
outarray[0] += feature2[14] * 0.7499719;
outarray[0] += feature2[15] * 0.726629;
outarray[0] += feature2[16] * 0.5130073;
outarray[0] += feature2[17] * 0.4509383;
outarray[0] += feature2[18] * 0.43708;
outarray[0] += feature2[19] * 0.5483885;
outarray[0] += feature2[20] * 0.5837929;
outarray[0] += feature2[21] * 0.2883138;
outarray[0] += feature2[22] * 0.4512829;
outarray[0] += feature2[23] * 0.5029791;
outarray[0] += feature2[24] * 0.6298163;
outarray[0] += feature2[25] * 0.454967;
outarray[0] += feature2[26] * 0.2059721;
outarray[0] += feature2[27] * 8.984075E-02;
outarray[0] += feature2[28] * 9.752807E-04;
outarray[0] += feature2[29] * 0.2805181;
outarray[0] += feature2[30] * 0.2921307;
outarray[0] += feature2[31] * 0.2625417;
outarray[0] += feature2[32] * 0.1289162;
outarray[0] += feature2[33] * 0.7424392;
outarray[0] += feature2[34] * 0.4194193;
outarray[0] += feature2[35] * 0.4519102;
outarray[0] += feature2[36] * 0.4613349;
outarray[0] += feature2[37] * 0.5336593;
outarray[0] += feature2[38] * 0.4066665;
outarray[0] += feature2[39] * 0.7495677;
outarray[0] += feature2[40] * 0.8511584;
outarray[0] += feature2[41] * 0.7360471;
outarray[0] += feature2[42] * 0.7007;
outarray[0] += feature2[43] * 0.5529053;
outarray[0] += feature2[44] * 0.6043661;
outarray[0] += feature2[45] * 0.405984;
outarray[0] += feature2[46] * 0.9365768;
outarray[0] += feature2[47] * 0.8406777;
outarray[0] += feature2[48] * 0.738052;
outarray[0] += feature2[49] * 0.9527748;
outarray[0] += feature2[50] * 0.4053176;
outarray[0] += feature2[51] * 0.6431848;
outarray[0] += feature2[52] * 0.6600698;
outarray[0] += feature2[53] * 0.6376928;
outarray[0] += feature2[54] * 0.7250753;
outarray[0] += feature2[55] * 0.6179307;
outarray[0] += feature2[56] * 0.2216144;
outarray[0] += feature2[57] * 0.4867414;
outarray[0] += feature2[58] * 0.4749269;
outarray[0] += feature2[59] * 0.4811073;
outarray[0] += feature2[60] * 0.7429504;
outarray[0] += feature2[61] * 0.3655211;
outarray[0] += feature2[62] * 0.8669591;
outarray[0] += feature2[63] * 0.9730871;
outarray[0] += feature2[64] * 0.7140602;
outarray[0] += feature2[65] * 0.8377712;
outarray[0] += feature2[66] * 0.8834279;
outarray[0] += feature2[67] * 0.7640995;
outarray[0] += feature2[68] * 0.7937025;
outarray[0] += feature2[69] * 0.53186;
outarray[0] += feature2[70] * 0.5689138;
outarray[0] += feature2[71] * 0.5857596;
outarray[0] += feature2[72] * 0.5959;
outarray[0] += feature2[73] * 0.8493504;
outarray[0] += feature2[74] * 0.2746561;
outarray[0] += feature2[75] * 0.3063499;
outarray[0] += feature2[76] * 0.4119917;
outarray[0] += feature2[77] * 0.610576;
outarray[0] += feature2[78] * 0.5302182;
outarray[0] += feature2[79] * 0.1880179;
outarray[0] += feature2[80] * 0.269702;
outarray[0] += feature2[81] * 0.2440918;
outarray[0] += feature2[82] * 0.1509495;
outarray[0] += feature2[83] * 0.8989637;
outarray[0] += feature2[84] * 0.5340457;
outarray[0] += feature2[85] * 0.5368053;
outarray[0] += feature2[86] * 0.4080858;
outarray[0] += feature2[87] * 0.5065277;
outarray[0] += feature2[88] * 0.5093325;
outarray[0] += feature2[89] * 0.7796229;
outarray[0] += feature2[90] * 0.363359;
outarray[0] += feature2[91] * 0.2050793;
outarray[0] += feature2[92] * 0.3925233;
outarray[0] += feature2[93] * 0.878055;
outarray[0] += feature2[94] * 0.6637849;
outarray[0] += feature2[95] * 0.7963799;
outarray[0] += feature2[96] * 0.8002308;
outarray[0] += feature2[97] * 0.7734868;
outarray[0] += feature2[98] * 0.7472103;
outarray[0] += feature2[99] * 0.5236925;
outarray[0] += feature2[100] * 0.6496201;
outarray[0] += feature2[101] * 0.7014353;
outarray[0] += feature2[102] * 0.4826431;
outarray[0] += feature2[103] * 0.4184076;
outarray[0] += feature2[104] * 0.6535272;
outarray[0] += feature2[105] * 0.7519838;
outarray[0] += feature2[106] * 0.591779;
outarray[0] += feature2[107] * 0.5631579;
outarray[0] += feature2[108] * 0.6178657;
outarray[0] += feature2[109] * 0.7093028;
outarray[0] += feature2[110] * 0.5888867;
outarray[0] += feature2[111] * 0.8427051;
outarray[0] += feature2[112] * 0.719512;
outarray[0] += feature2[113] * 0.5069515;
outarray[0] += feature2[114] * 0.583348;
outarray[0] += feature2[115] * 0.6084617;
outarray[0] += feature2[116] * 0.7305555;
outarray[0] += feature2[117] * 0.7642419;
outarray[0] += feature2[118] * 0.6827349;
outarray[0] += feature2[119] * 0.8880767;
outarray[0] += feature2[120] * 0.7200587;
outarray[0] += feature2[121] * 0.7309381;
outarray[0] += feature2[122] * 0.5708594;
outarray[0] += feature2[123] * 0.8041505;
outarray[0] += feature2[124] * 0.7455814;
outarray[0] += feature2[125] * 0.6769621;
outarray[0] += feature2[126] * 0.6970256;
outarray[0] += feature2[127] * 0.251444;
outarray[0] /= netsum;
 
 
outarray[0] = 6.116503E-02 * outarray[0] + -3.473874E-02;
               
}
